<?xml version="1.0" encoding="utf-8"?>
<!--
	PACK3 v2.02

	Copyright (C) 2025 Environment Agency Austria
	Contact: edm-helpdesk@umweltbundesamt.at

	Commissioned by the Austrian Federal Ministry of Environment (BMK)

	Licensed under the EUPL, Version 1.2 or – as soon they will be approved
	by the European Commission – subsequent versions of the EUPL (the "Licence");

	You may not use this work except in compliance with the Licence.

	You may obtain a copy of the Licence at: http://joinup.ec.europa.eu/software/page/eupl

	Unless required by applicable law or agreed to in writing, work distributed under the licence is distributed
	on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

	See the Licence for the specific language governing permissions and limitations under the Licence.
-->
<schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:f="http://f.net/" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" queryBinding="xslt2">
	<ns uri="http://www.umweltbundesamt.at/schema/pack3_message" prefix="pkm"/>
	<ns uri="http://f.net/" prefix="f"/>
	<ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
	<xsl:function name="f:UTCtimestampToDate" as="xs:date">
		<xsl:param name="dt" as="xs:dateTime"/>
		<xsl:param name="offset" as="xs:dayTimeDuration"/>
		<xsl:sequence select="xs:date(format-dateTime(adjust-dateTime-to-timezone($dt, $offset),'[Y]-[M,2]-[D,2]'))"/>
	</xsl:function>
	<xsl:function name="f:isPeriodCoverage" as="xs:boolean">
		<xsl:param name="periodastartdate" as="xs:date"/>
		<xsl:param name="periodaenddate" as="xs:date"/>
		<xsl:param name="lnodestructperiodb" as="node()"/>
		<xsl:param name="selemnamestartdate" as="xs:string"/>
		<xsl:param name="selemnameenddate" as="xs:string"/>
		<xsl:sequence select="if ((count($lnodestructperiodb/*[local-name() eq $selemnamestartdate]) ne 1) or (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) gt 1)) then (false()) else (if (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) eq 0) then (if (xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) then (true()) else (false())) else (if ((xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) and (xs:date(($lnodestructperiodb/*[local-name() eq $selemnameenddate])[1]) ge $periodaenddate)) then (true()) else (false())))"/>
	</xsl:function>
	<xsl:function name="f:prefixIfNonEmpty" as="xs:string">
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:param name="smain" as="xs:string"/>
		<xsl:sequence select="if ($smain eq '') then ('') else (concat($sprefix,$smain))"/>
	</xsl:function>
	<xsl:function name="f:eventElemNameBasic" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:val1) else ('')"/>
	</xsl:function>
	<xsl:function name="f:eventElemNameExt" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:*[local-name() eq $sval]/text()) else ('')"/>
	</xsl:function>
	<xsl:function name="f:contentTypeString" as="xs:string">
		<xsl:param name="lcontenttypenode" as="node()"/>
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (exists($lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid])) then (concat('»',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val1,' gemäß ',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val2,'« (Code ',$scontenttypeid,')')) else (concat('»',$scontenttypeid,'«'))"/>
	</xsl:function>
	<xsl:function name="f:resolveMessageTypeID" as="xs:string">
		<xsl:param name="l8686" as="node()"/>
		<xsl:param name="smessagetypeid" as="xs:string"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid])) then ($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid]/sch:val1) else ($smessagetypeid),'«')"/>
	</xsl:function>
	<xsl:function name="f:resolveGTINString" as="xs:string">
		<xsl:param name="lattrvaluenode" as="node()"/>
		<xsl:param name="sgtin" as="xs:string"/>
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:sequence select="if (exists($lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin])) then (concat($sprefix,'»',$lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin]/sch:val1,'« (GTIN ',$sgtin,')')) else (concat($sprefix,' mit der GTIN ',$sgtin))"/>
	</xsl:function>
	<xsl:function name="f:resolvePartyIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])[1]/pkm:PartyName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function name="f:resolveLocalPartyRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function name="f:resolveSiteIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])[1]/pkm:SiteName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function name="f:resolveLocalSiteRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function name="f:resolveCountryIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:variable name="lnodeelem" select="$lnodevalcontext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq $sid]"/>
		<xsl:sequence select="if (exists($lnodeelem) and exists($lnodeelem/pkm:CountryTwoLetterID)) then (concat($lnodeelem/pkm:CountryTwoLetterID,' (ID »',$sid,'«)')) else (concat('»',$sid,'«'))"/>
	</xsl:function>
	<xsl:function name="f:formatCount" as="xs:string">
		<xsl:param name="lnodecount" as="node()"/>
		<xsl:sequence select="translate(format-number(xs:decimal($lnodecount), '#,##0'),'.,',',.')"/>
	</xsl:function>
	<xsl:function name="f:formatMassCore" as="xs:string">
		<xsl:param name="dmass" as="xs:decimal"/>
		<xsl:sequence select="concat(translate(format-number($dmass, '#,##0.##'),'.,',',.'),' kg')"/>
	</xsl:function>
	<xsl:function name="f:formatMass" as="xs:string">
		<xsl:param name="lnodemass" as="node()"/>
		<xsl:sequence select="f:formatMassCore(xs:decimal($lnodemass))"/>
	</xsl:function>
	<xsl:function name="f:getCatGTIN" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:HouseholdTariffCategoryID)) then ($lnodeevent/pkm:HouseholdTariffCategoryID/text()) else (if (exists($lnodeevent/pkm:CommercialTariffCategoryID)) then ($lnodeevent/pkm:CommercialTariffCategoryID/text()) else (if (exists($lnodeevent/pkm:MaterialTypeID)) then ($lnodeevent/pkm:MaterialTypeID/text()) else (if (exists($lnodeevent/pkm:ExtendedMaterialTypeID)) then ($lnodeevent/pkm:ExtendedMaterialTypeID/text()) else (if (exists($lnodeevent/pkm:PlasticCarrierBagTypeID)) then ($lnodeevent/pkm:PlasticCarrierBagTypeID/text()) else (if (exists($lnodeevent/pkm:SingleUsePlasticProductTypeID)) then ($lnodeevent/pkm:SingleUsePlasticProductTypeID/text()) else (if (exists($lnodeevent/pkm:SingleUsePlasticPackagingTypeID)) then ($lnodeevent/pkm:SingleUsePlasticPackagingTypeID/text()) else (if (exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID)) then ($lnodeevent/pkm:SingleUsePlasticBottleTypeID/text()) else (''))))))))"/>
	</xsl:function>
	<xsl:function name="f:checkUseElem" as="xs:boolean">
		<xsl:param name="sname" as="xs:string"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:sequence select="if ($sfilterincl ne '') then (if (contains($sfilterincl,concat('.',$sname,'.'))) then (true()) else (false())) else (if ($sfilterexcl ne '') then (if (not(contains($sfilterexcl,concat('.',$sname,'.')))) then (true()) else (false())) else (true()))"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemMassValue" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MassValue) and f:checkUseElem('MassValue',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Masse ') else (''),f:formatMass($lnodeevent/pkm:MassValue))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemCount" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:Count) and f:checkUseElem('Count',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Anzahl ') else (''),f:formatCount($lnodeevent/pkm:Count))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemHouseholdTariffCategoryID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:HouseholdTariffCategoryID) and f:checkUseElem('HouseholdTariffCategoryID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Tarifkategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:HouseholdTariffCategoryID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemCommercialTariffCategoryID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:CommercialTariffCategoryID) and f:checkUseElem('CommercialTariffCategoryID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Tarifkategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:CommercialTariffCategoryID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemMaterialTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MaterialTypeID) and f:checkUseElem('MaterialTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Packstoff ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:MaterialTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemExtendedMaterialTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:ExtendedMaterialTypeID) and f:checkUseElem('ExtendedMaterialTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then (if (($lnodeevent/pkm:ExtendedMaterialTypeID eq '9008390101810') or ($lnodeevent/pkm:ExtendedMaterialTypeID eq '9008390101483')) then ('Kategorie ') else ('Packstoff ')) else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:ExtendedMaterialTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemPlasticCarrierBagTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:PlasticCarrierBagTypeID) and f:checkUseElem('PlasticCarrierBagTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Tragetaschen-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:PlasticCarrierBagTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventElemSingleUsePlasticProductTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticProductTypeID) and f:checkUseElem('SingleUsePlasticProductTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoffprodukt-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticProductTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventSingleUsePlasticPackagingTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticPackagingTypeID) and f:checkUseElem('SingleUsePlasticPackagingTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoffverpackungs-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticPackagingTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventSingleUsePlasticBottleTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID) and f:checkUseElem('SingleUsePlasticBottleTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoff-Getränkeflaschen-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticBottleTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoveryTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryTypeID) and f:checkUseElem('RecoveryTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsart ') else (''),f:resolveGTINString($lnode4399,$lnodeevent/pkm:RecoveryTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoveryPartyID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyID) and f:checkUseElem('RecoveryPartyID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwerter ') else (''),f:resolvePartyIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoveryPartyID,$lnodeevent/pkm:RecoveryPartyID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoveryPartyLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID) and f:checkUseElem('RecoveryPartyLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwerter ') else (''),f:resolveLocalPartyRefString($lnodeevent/../..,$lnodeevent/pkm:RecoveryPartyLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoverySiteID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteID) and f:checkUseElem('RecoverySiteID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveSiteIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoverySiteID,$lnodeevent/pkm:RecoverySiteID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEventRecoverySiteLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteLocalReferenceID) and f:checkUseElem('RecoverySiteLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveLocalSiteRefString($lnodeevent/../..,$lnodeevent/pkm:RecoverySiteLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeEvent" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="string-join((f:describeEventElemHouseholdTariffCategoryID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemCommercialTariffCategoryID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemMaterialTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemExtendedMaterialTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemPlasticCarrierBagTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemSingleUsePlasticProductTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventSingleUsePlasticPackagingTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventSingleUsePlasticBottleTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventRecoveryTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnode4399), f:describeEventRecoveryPartyID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoveryPartyLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemMassValue($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemCount($lnodeevent,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function name="f:describePartyLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodeparty/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:ID) and f:checkUseElem('ID',$sfilterincl,$sfilterexcl)) then (concat($lnodeparty/pkm:ID/@registerID,': »',$lnodeparty/pkm:ID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyName" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodeparty/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyCountry" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCountryID) and f:checkUseElem('RegisteredOfficeAddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodeparty/pkm:RegisteredOfficeAddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyPostalAreaID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID) and f:checkUseElem('RegisteredOfficeAddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Postleitzahl: »',$lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describePartyCity" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCityName) and f:checkUseElem('RegisteredOfficeAddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Ort: »',$lnodeparty/pkm:RegisteredOfficeAddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeParty" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describePartyName($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyID($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyCountry($lnodeparty,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describePartyPostalAreaID($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyCity($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyLocalAssignmentID($lnodeparty,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodesite/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteName" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodesite/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteCountry" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCountryID) and f:checkUseElem('AddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodesite/pkm:AddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSitePostalAreaID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressPostalAreaID) and f:checkUseElem('AddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Postleitzahl: »',$lnodesite/pkm:AddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSiteCity" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCityName) and f:checkUseElem('AddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Ort: »',$lnodesite/pkm:AddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function name="f:describeSite" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describeSiteName($lnodesite,$sfilterincl,$sfilterexcl,true()),  f:describeSiteCountry($lnodesite,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describeSitePostalAreaID($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteCity($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteLocalAssignmentID($lnodesite,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function name="f:isZeroSupportingContentType" as="xs:boolean">
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (((substring($scontenttypeid,1,7) eq 'PLC_MKT') and (contains($scontenttypeid,'.aPLC_MKT'))) or contains($scontenttypeid,'.sSP')) then (true()) else (false())"/>
	</xsl:function>
	<xsl:function name="f:isUnsupportedEventElem" as="xs:boolean">
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="scatid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:sequence select="not(exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)]))"/>
	</xsl:function>
	<xsl:function name="f:isRequiredEventElem" as="xs:boolean">
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="scatid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:sequence select="exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)])"/>
	</xsl:function>
	<xsl:function name="f:flexiContainsEventElem" as="xs:boolean">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if ($selemname eq 'RecoveryPartyID') then (exists($lnodeevent/pkm:RecoveryPartyID) or exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID)) else (if ($selemname eq 'RecoverySiteID') then (exists($lnodeevent/pkm:RecoverySiteID) or exists($lnodeevent/pkm:RecoverySiteLocalReferenceID)) else (exists($lnodeevent/*[local-name() eq $selemname])))"/>
	</xsl:function>
	<xsl:function name="f:flexiRequiredEventElemString" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:sequence select="if ($selemname eq 'RecoveryPartyID') then (if (f:eventElemNameExt($leventelem,$selemname,$sval) ne '') then (concat(f:eventElemNameExt($leventelem,$selemname,$sval),' (Datenelement »RecoveryPartyID« bzw. »RecoveryPartyLocalReferenceID«)')) else ('das Datenelement »RecoveryPartyID« bzw. »RecoveryPartyLocalReferenceID«')) else (if ($selemname eq 'RecoverySiteID') then (if (f:eventElemNameExt($leventelem,$selemname,$sval) ne '') then (concat(f:eventElemNameExt($leventelem,$selemname,$sval),' (Datenelement »RecoverySiteID« bzw. »RecoverySiteLocalReferenceID«)')) else ('das Datenelement »RecoverySiteID« bzw. »RecoverySiteLocalReferenceID«')) else (if (f:eventElemNameExt($leventelem,$selemname,$sval) ne '') then (concat(f:eventElemNameExt($leventelem,$selemname,$sval),' (Datenelement »',$selemname,'«)')) else (concat('das Datenelement »',$selemname,'«'))))"/>
	</xsl:function>
	<xsl:function name="f:precedingSameTypeEvent" as="node()*">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:sequence select="$lnodeevent/preceding-sibling::pkm:Event[((not(exists(pkm:HouseholdTariffCategoryID)) and not(exists($lnodeevent/pkm:HouseholdTariffCategoryID))) or (pkm:HouseholdTariffCategoryID eq $lnodeevent/pkm:HouseholdTariffCategoryID)) and ((not(exists(pkm:CommercialTariffCategoryID)) and not(exists($lnodeevent/pkm:CommercialTariffCategoryID))) or (pkm:CommercialTariffCategoryID eq $lnodeevent/pkm:CommercialTariffCategoryID)) and ((not(exists(pkm:MaterialTypeID)) and not(exists($lnodeevent/pkm:MaterialTypeID))) or (pkm:MaterialTypeID eq $lnodeevent/pkm:MaterialTypeID)) and ((not(exists(pkm:ExtendedMaterialTypeID)) and not(exists($lnodeevent/pkm:ExtendedMaterialTypeID))) or (pkm:ExtendedMaterialTypeID eq $lnodeevent/pkm:ExtendedMaterialTypeID)) and ((not(exists(pkm:PlasticCarrierBagTypeID)) and not(exists($lnodeevent/pkm:PlasticCarrierBagTypeID))) or (pkm:PlasticCarrierBagTypeID eq $lnodeevent/pkm:PlasticCarrierBagTypeID)) and ((not(exists(pkm:SingleUsePlasticProductTypeID)) and not(exists($lnodeevent/pkm:SingleUsePlasticProductTypeID))) or (pkm:SingleUsePlasticProductTypeID eq $lnodeevent/pkm:SingleUsePlasticProductTypeID)) and ((not(exists(pkm:SingleUsePlasticPackagingTypeID)) and not(exists($lnodeevent/pkm:SingleUsePlasticPackagingTypeID))) or (pkm:SingleUsePlasticPackagingTypeID eq $lnodeevent/pkm:SingleUsePlasticPackagingTypeID)) and ((not(exists(pkm:SingleUsePlasticBottleTypeID)) and not(exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID))) or (pkm:SingleUsePlasticBottleTypeID eq $lnodeevent/pkm:SingleUsePlasticBottleTypeID)) and ((not(exists(pkm:RecoveryTypeID)) and not(exists($lnodeevent/pkm:RecoveryTypeID))) or (pkm:RecoveryTypeID eq $lnodeevent/pkm:RecoveryTypeID)) and ((not(exists(pkm:RecoveryPartyID)) and not(exists($lnodeevent/pkm:RecoveryPartyID))) or (pkm:RecoveryPartyID eq $lnodeevent/pkm:RecoveryPartyID)) and ((not(exists(pkm:RecoveryPartyLocalReferenceID)) and not(exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID))) or (pkm:RecoveryPartyLocalReferenceID eq $lnodeevent/pkm:RecoveryPartyLocalReferenceID)) and ((not(exists(pkm:RecoverySiteID)) and not(exists($lnodeevent/pkm:RecoverySiteID))) or (pkm:RecoverySiteID eq $lnodeevent/pkm:RecoverySiteID)) and ((not(exists(pkm:RecoverySiteLocalReferenceID)) and not(exists($lnodeevent/pkm:RecoverySiteLocalReferenceID))) or (pkm:RecoverySiteLocalReferenceID eq $lnodeevent/pkm:RecoverySiteLocalReferenceID))]"/>
	</xsl:function>
	<let name="leventelem">
		<data>
			<row>
				<val0>MassValue</val0>
				<val1>Masse</val1>
				<val2>die Masse</val2>
				<val3>die Masse</val3>
			</row>
			<row>
				<val0>Count</val0>
				<val1>Anzahl</val1>
				<val2>die Anzahl</val2>
				<val3>die Anzahl</val3>
			</row>
			<row>
				<val0>HouseholdTariffCategoryID</val0>
				<val1>Tarifkategorie</val1>
				<val2>die Tarifkategorie</val2>
				<val3>die Tarifkategorie</val3>
			</row>
			<row>
				<val0>CommercialTariffCategoryID</val0>
				<val1>Tarifkategorie</val1>
				<val2>die Tarifkategorie</val2>
				<val3>die Tarifkategorie</val3>
			</row>
			<row>
				<val0>MaterialTypeID</val0>
				<val1>Packstoff</val1>
				<val2>den Packstoff</val2>
				<val3>der Packstoff</val3>
			</row>
			<row>
				<val0>ExtendedMaterialTypeID</val0>
				<val1>Packstoff bzw. Verbundverpackungs-Art</val1>
				<val2>den Packstoff bzw. die Verbundverpackungs-Art</val2>
				<val3>der Packstoff bzw. die Verbundverpackungs-Art</val3>
			</row>
			<row>
				<val0>PlasticCarrierBagTypeID</val0>
				<val1>Tragetaschen-Art</val1>
				<val2>die Tragetaschen-Art</val2>
				<val3>die Tragetaschen-Art</val3>
			</row>
			<row>
				<val0>SingleUsePlasticProductTypeID</val0>
				<val1>Kunststoffprodukt-Art</val1>
				<val2>die Kunststoffprodukt-Art</val2>
				<val3>die Kunststoffprodukt-Art</val3>
			</row>
			<row>
				<val0>SingleUsePlasticPackagingTypeID</val0>
				<val1>Kunststoffverpackungs-Art</val1>
				<val2>die Kunststoffverpackungs-Art</val2>
				<val3>die Kunststoffverpackungs-Art</val3>
			</row>
			<row>
				<val0>SingleUsePlasticBottleTypeID</val0>
				<val1>Getränkeflaschen-Art</val1>
				<val2>die Getränkeflaschen-Art</val2>
				<val3>die Getränkeflaschen-Art</val3>
			</row>
			<row>
				<val0>RecoveryTypeID</val0>
				<val1>Verwertungsart</val1>
				<val2>die Verwertungsart</val2>
				<val3>die Verwertungsart</val3>
			</row>
			<row>
				<val0>RecoveryPartyID</val0>
				<val1>Verwerter</val1>
				<val2>den Verwerter</val2>
				<val3>der Verwerter</val3>
			</row>
			<row>
				<val0>RecoveryPartyLocalReferenceID</val0>
				<val1>Verwerter</val1>
				<val2>den Verwerter</val2>
				<val3>der Verwerter</val3>
			</row>
			<row>
				<val0>RecoverySiteID</val0>
				<val1>Verwertungsstandort</val1>
				<val2>den Verwertungsstandort</val2>
				<val3>der Verwertungsstandort</val3>
			</row>
			<row>
				<val0>RecoverySiteLocalReferenceID</val0>
				<val1>Verwertungsstandort</val1>
				<val2>den Verwertungsstandort</val2>
				<val3>der Verwertungsstandort</val3>
			</row>
		</data>
	</let>
	<let name="l8686">
		<data>
			<row>
				<val0>PLC_MKT.MNTH</val0>
				<val1>Monat, marktanteilsrelevant</val1>
			</row>
			<row>
				<val0>PLC_MKT.YEAR</val0>
				<val1>Jahr, marktanteilsrelevant</val1>
			</row>
			<row>
				<val0>RPT_OTH.YEAR</val0>
				<val1>Jahr, nicht marktanteilsrelevant</val1>
			</row>
		</data>
	</let>
	<let name="l3974">
		<data>
			<row>
				<val0>RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16</val0>
				<val1>Zur Verwertung übergebene als Abfall angefallene wiederverwendbare Verpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z6 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16</val0>
				<val1>Zur Verwertung übergebene Verpackungen</val1>
				<val2>§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04</val0>
				<val1>Getrennt gesammelte gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 8 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04</val0>
				<val1>Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12</val0>
				<val1>Von den Lieferanten übernommene Verpackungen</val1>
				<val2>§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z1 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>MKT_SHR.YEAR.dPG.aPLC_MKT.tCM.cSTRCT02</val0>
				<val1>Marktanteile der SuVS für gewerbliche Verpackungen je Sammelkategorie für ein Kalenderjahr</val1>
				<val2>§ 29d Abs. 4 AWG</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03</val0>
				<val1>Gemeinsam mit gemischten Siedlungsabfällen erfasste und anschließend aussortierte Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 9 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03</val0>
				<val1>Verwendete wiederverwendbare Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04</val0>
				<val1>Von SuVS-Teilnehmern im Kalendermonat in Verkehr gesetzte oder zum Eigengebrauch importierte gewerbliche Verpackungen</val1>
				<val2>§ 29d Abs. 2 AWG</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15</val0>
				<val1>Im Rahmen von Reinigungsaktionen übernommene Einwegkunststoff-Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 10 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12</val0>
				<val1>Angefallene Verpackungen</val1>
				<val2>§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04</val0>
				<val1>Verwendete wiederverwendbare gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03</val0>
				<val1>Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 1 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16</val0>
				<val1>Zur Verwertung übergebene Verpackungen</val1>
				<val2>§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12</val0>
				<val1>Als Abfall angefallene nicht lizenzierte wiederverwendbare Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 7 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16</val0>
				<val1>Von SuVS zur Verwertung übergebene gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 11 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04</val0>
				<val1>Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 1 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12</val0>
				<val1>Erstmals in Verkehr gesetzte wiederverwendbare Verpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z1 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14</val0>
				<val1>Verwertung der von SuVS zur Verwertung übergebenen gewerblichen Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 11 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05</val0>
				<val1>Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte Kunststofftragetaschen</val1>
				<val2>§ 13m Abs 2 AWG</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16</val0>
				<val1>Zur Verwertung übergebene nicht lizenzierte als Abfall angefallene wiederverwendbare Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 7 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12</val0>
				<val1>Verwendete wiederverwendbare Verpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12</val0>
				<val1>Eigenimportierte Verkaufs-Verpackungen</val1>
				<val2>§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z2 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14</val0>
				<val1>Verwertete Verpackungsmaterialien aus zur Verwertung übergebenen nicht lizenzierten als Abfall angefallenen wiederverwendbaren Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 7 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12</val0>
				<val1>Als Abfall angefallene wiederverwendbare Verpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07</val0>
				<val1>Bei der Herstellung bestimmter Einwegkunststoffprodukte eingesetztes Recyclat</val1>
				<val2>§ 21a Abs. 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>MKT_SHR.MNTH.dPG.aPLC_MKT.tHH.cSTRCT01</val0>
				<val1>Marktanteile der SuVS für Haushaltsverpackungen je Sammelkategorie für ein Kalendermonat</val1>
				<val2>§ 29b Abs. 4 AWG</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03</val0>
				<val1>Getrennt gesammelte Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 8 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12</val0>
				<val1>Angefallene Verkaufsverpackungen</val1>
				<val2>§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z4 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03</val0>
				<val1>Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare Haushalts-Verkaufsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 4 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14</val0>
				<val1>Verwertete Verpackungen</val1>
				<val2>§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>MKT_SHR.YEAR.dPG.aPLC_MKT.tHH.cSTRCT01</val0>
				<val1>Marktanteile der SuVS für Haushaltsverpackungen je Sammelkategorie für ein Kalenderjahr</val1>
				<val2>§ 29b Abs. 4 AWG</val2>
			</row>
			<row>
				<val0>RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14</val0>
				<val1>Verwertete Verpackungsmaterialien aus zur Verwertung übergebenen als Abfall angefallenen wiederverwendbaren Verpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z6 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04</val0>
				<val1>Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare gewerbliche Verkaufsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 4 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03</val0>
				<val1>Aus Bodenasche von Verbrennungsanlagen gewonnene Materialien (Verbrennung von Siedlungsabfällen)</val1>
				<val2>§ 22 Abs. 4 Z 9 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03</val0>
				<val1>Von SuVS-Teilnehmern im Kalendermonat in Verkehr gesetzte oder zum Eigengebrauch importierte Haushaltsverpackungen</val1>
				<val2>§ 29b Abs. 3 AWG</val2>
			</row>
			<row>
				<val0>RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12</val0>
				<val1>Von den Lieferanten übernommene Verkaufsverpackungen</val1>
				<val2>§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z2 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03</val0>
				<val1>Im Rahmen von Reinigungsaktionen übernommene Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 10 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.MNTH.dPG.aDIR_CLT.tCM.cSTRCT04</val0>
				<val1>Von gewerblichen Anfallstellen im Kalendermonat direkt abgeholte beim SuVS entpflichtete Verpackungen</val1>
				<val2>§ 29d Abs. 3 AWG</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03</val0>
				<val1>Verwendete wiederverwendbare Haushalts-Verkaufsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 6 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12</val0>
				<val1>Angefallene Verkaufsverpackungen</val1>
				<val2>§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z4 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16</val0>
				<val1>Von SuVS zur Verwertung übergebene Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 11 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04</val0>
				<val1>Verwendete wiederverwendbare gewerbliche Verkaufsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 6 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14</val0>
				<val1>Verwertete Verpackungen</val1>
				<val2>§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z5 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03</val0>
				<val1>Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte Haushalts-Verkaufsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 2 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14</val0>
				<val1>Verwertung der von SuVS zur Verwertung übergebenen Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 11 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12</val0>
				<val1>Als Abfall angefallene nicht lizenzierte wiederverwendbare gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 7 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04</val0>
				<val1>Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte gewerbliche Verkaufsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 2 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12</val0>
				<val1>Eigenimportierte Verpackungen</val1>
				<val2>§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z1 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12</val0>
				<val1>Erstmals in Verkehr gesetzte wiederverwendbare Verkaufsverpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z2 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06</val0>
				<val1>Massen der von SuVS-Teilnehmern in Verkehr gesetzten Einwegkunststoffprodukte</val1>
				<val2>§ 21a Abs. 3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19</val0>
				<val1>Anzahl der von SuVS-Teilnehmern in Verkehr gesetzten vollständig aus Kunststoff bestehenden Getränkebecher und Lebensmittelverpackungen</val1>
				<val2>Anhang II Durchführungsbeschluss (EU) 2022/162</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19</val0>
				<val1>Anzahl der von SuVS-Teilnehmern in Verkehr gesetzten teilweise aus Kunststoff bestehenden Getränkebecher und Lebensmittelverpackungen</val1>
				<val2>Anhang II Durchführungsbeschluss (EU) 2022/162</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16</val0>
				<val1>Zur Verwertung übergebene nicht lizenzierte als Abfall angefallene wiederverwendbare gewerbliche Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 7 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12</val0>
				<val1>Verwendete wiederverwendbare Verkaufsverpackungen</val1>
				<val2>§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z4 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14</val0>
				<val1>Verwertete Verpackungsmaterialien aus zur Verwertung übergebenen nicht lizenzierten als Abfall angefallenen wiederverwendbaren gewerblichen Verpackungen</val1>
				<val2>§ 22 Abs. 4 Z 7 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12</val0>
				<val1>Angefallene Verpackungen</val1>
				<val2>§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z3 Verpackungsverordnung</val2>
			</row>
			<row>
				<val0>MKT_SHR.MNTH.dPG.aPLC_MKT.tCM.cSTRCT02</val0>
				<val1>Marktanteile der SuVS für gewerbliche Verpackungen je Sammelkategorie für ein Kalendermonat</val1>
				<val2>§ 29d Abs. 4 AWG</val2>
			</row>
			<row>
				<val0>RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03</val0>
				<val1>Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare Haushaltsverpackungen</val1>
				<val2>§ 22 Abs. 4 Z 3 Verpackungsverordnung</val2>
			</row>
		</data>
	</let>
	<let name="l8261">
		<data>
			<row>
				<val0>STRCT18</val0>
				<val1>MassValue</val1>
				<val2>Masse für einen Eintrag aus "Packstoff und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT06</val0>
				<val1>SingleUsePlasticProductTypeID</val1>
				<val2>Art von Einwegkunststoffprodukt</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryTypeID</val1>
				<val2>Verwertungsart</val2>
			</row>
			<row>
				<val0>STRCT01</val0>
				<val1>MarketSharePercentage</val1>
				<val2>Marktanteil für eine Haushaltstarifkategorie des angegebenen SuVS</val2>
			</row>
			<row>
				<val0>STRCT18</val0>
				<val1>ExtendedMaterialTypeID</val1>
				<val2>Eintrag aus "Packstoffe und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryPartyLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Verwerters</val2>
			</row>
			<row>
				<val0>STRCT01</val0>
				<val1>HouseholdCollectionCategoryID</val1>
				<val2>Haushaltstarifkategorie </val2>
			</row>
			<row>
				<val0>STRCT07</val0>
				<val1>SingleUsePlasticBottleTypeID</val1>
				<val2>Art von Einwegkunststoff-Getränkeflasche</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoverySiteLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT02</val0>
				<val1>SystemPartyID</val1>
				<val2>Sammel- und Vewertungssystem (SuVS)</val2>
			</row>
			<row>
				<val0>STRCT15</val0>
				<val1>SingleUsePlasticPackagingTypeID</val1>
				<val2>Arten von Einwegkunststoff-Verpackung</val2>
			</row>
			<row>
				<val0>STRCT03</val0>
				<val1>MassValue</val1>
				<val2>Masse für eine Haushaltstarifkategorie </val2>
			</row>
			<row>
				<val0>STRCT16</val0>
				<val1>ExtendedMaterialTypeID</val1>
				<val2>Eintrag aus "Packstoffe und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT04</val0>
				<val1>MassValue</val1>
				<val2>Marktanteil für eine gewerbliche Tarifkategorie</val2>
			</row>
			<row>
				<val0>STRCT16</val0>
				<val1>RecoveryPartyLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Verwerters</val2>
			</row>
			<row>
				<val0>STRCT12</val0>
				<val1>ExtendedMaterialTypeID</val1>
				<val2>Eintrag aus "Packstoffe und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT05</val0>
				<val1>Count</val1>
				<val2>Anzahl von Kunststofftragetaschen</val2>
			</row>
			<row>
				<val0>STRCT16</val0>
				<val1>RecoverySiteLocalReferenceID</val1>
				<val2>Bezug auf Name und Adresse des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>MaterialTypeID</val1>
				<val2>Eintrag aus "Packstoffe"</val2>
			</row>
			<row>
				<val0>STRCT06</val0>
				<val1>MassValue</val1>
				<val2>Masse für eine Art von Einwegkunststoffprodukten</val2>
			</row>
			<row>
				<val0>STRCT18</val0>
				<val1>LoopCount</val1>
				<val2>Anzahl der Umläufe für einen Eintrag aus "Packstoff und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoveryPartyID</val1>
				<val2>Identifikation des Verwerters</val2>
			</row>
			<row>
				<val0>STRCT07</val0>
				<val1>MassValue</val1>
				<val2>Masse für eine Art von Einwegkunststoff-Getränkeflaschen</val2>
			</row>
			<row>
				<val0>STRCT01</val0>
				<val1>SystemPartyID</val1>
				<val2>Sammel- und Vewertungssystem (SuVS)</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>RecoverySiteID</val1>
				<val2>Identifikation des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT02</val0>
				<val1>MarketSharePercentage</val1>
				<val2>Marktanteil für eine gewerbliche Tarifkategorie des angegebenen SuVS</val2>
			</row>
			<row>
				<val0>STRCT15</val0>
				<val1>MassValue</val1>
				<val2>Masse für eine Art von Einwegkunststoff-Verpackung</val2>
			</row>
			<row>
				<val0>STRCT02</val0>
				<val1>CommercialCollectionCategoryID</val1>
				<val2>gewerbliche Tarifkategorie</val2>
			</row>
			<row>
				<val0>STRCT16</val0>
				<val1>MassValue</val1>
				<val2>Masse für einen Eintrag aus "Packstoff und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT03</val0>
				<val1>HouseholdTariffCategoryID</val1>
				<val2>Haushaltstarifkategorie</val2>
			</row>
			<row>
				<val0>STRCT16</val0>
				<val1>RecoveryPartyID</val1>
				<val2>Identifikation des Verwerters</val2>
			</row>
			<row>
				<val0>STRCT12</val0>
				<val1>MassValue</val1>
				<val2>Masse für einen Eintrag aus "Packstoff und Verbundverpackungen"</val2>
			</row>
			<row>
				<val0>STRCT04</val0>
				<val1>CommercialTariffCategoryID</val1>
				<val2>gewerbliche Tarifkategorie</val2>
			</row>
			<row>
				<val0>STRCT14</val0>
				<val1>MassValue</val1>
				<val2>Masse für einen Eintrag auf "Packstoffe"</val2>
			</row>
			<row>
				<val0>STRCT16</val0>
				<val1>RecoverySiteID</val1>
				<val2>Identifikation des Verwertungsstandorts</val2>
			</row>
			<row>
				<val0>STRCT05</val0>
				<val1>PlasticCarrierBagTypeID</val1>
				<val2>Art von Kunststofftragetaschen</val2>
			</row>
			<row>
				<val0>STRCT19</val0>
				<val1>Count</val1>
				<val2>Anzahl von Getränkebechern bzw. Lebensmittelverpackungen</val2>
			</row>
			<row>
				<val0>STRCT19</val0>
				<val1>SingleUsePlasticProductTypeID</val1>
				<val2>Art von Einwegkunststoffprodukt</val2>
			</row>
		</data>
	</let>
	<let name="lcat">
		<data>
			<row>
				<val0>9008390101414</val0>
				<val1>Papier, Karton, Pappe und Wellpappe</val1>
			</row>
			<row>
				<val0>9008390101421</val0>
				<val1>Glas</val1>
			</row>
			<row>
				<val0>9008390101438</val0>
				<val1>Holz</val1>
			</row>
			<row>
				<val0>9008390101445</val0>
				<val1>Keramik</val1>
			</row>
			<row>
				<val0>9008390101452</val0>
				<val1>Metalle</val1>
			</row>
			<row>
				<val0>9008390101469</val0>
				<val1>Textile Faserstoffe</val1>
			</row>
			<row>
				<val0>9008390101476</val0>
				<val1>Kunststoffe</val1>
			</row>
			<row>
				<val0>9008390101483</val0>
				<val1>Verbundverpackungen, ausgenommen Getränkeverbundkarton</val1>
			</row>
			<row>
				<val0>9008390101490</val0>
				<val1>Sonstige Packstoffe auf biologischer Basis</val1>
			</row>
			<row>
				<val0>9008390101810</val0>
				<val1>Getränkeverbundkarton</val1>
			</row>
			<row>
				<val0>9008390106846</val0>
				<val1>Eisenmetalle</val1>
			</row>
			<row>
				<val0>9008390106853</val0>
				<val1>Aluminium</val1>
			</row>
			<row>
				<val0>9008390106860</val0>
				<val1>Leichtverpackungen</val1>
			</row>
			<row>
				<val0>9008390132739</val0>
				<val1>Leichtverpackungen und Metalle</val1>
			</row>
			<row>
				<val0>9008390106877</val0>
				<val1>Folien, Umreifungsbänder und Klebebänder</val1>
			</row>
			<row>
				<val0>9008390106884</val0>
				<val1>Hohlkörper</val1>
			</row>
			<row>
				<val0>9008390106891</val0>
				<val1>EPS (Aufgeschäumtes bzw. Expandiertes Polystyrol)</val1>
			</row>
			<row>
				<val0>9008390106907</val0>
				<val1>Biogene Packstoffe</val1>
			</row>
			<row>
				<val0>9008390124901</val0>
				<val1>Sehr leichte Kunststofftragetaschen</val1>
			</row>
			<row>
				<val0>9008390124918</val0>
				<val1>Kunststoffe Folien</val1>
			</row>
			<row>
				<val0>9008390124925</val0>
				<val1>Kunststoffe Hohlkörper</val1>
			</row>
			<row>
				<val0>9008390124932</val0>
				<val1>Sonstige Verpackungen</val1>
			</row>
			<row>
				<val0>9008390124949</val0>
				<val1>Getränkebecher</val1>
			</row>
			<row>
				<val0>9008390124956</val0>
				<val1>Lebensmittelverpackungen</val1>
			</row>
			<row>
				<val0>9008390124963</val0>
				<val1>Säckchen und Folienverpackungen (Wrappers) aus flexiblem Material</val1>
			</row>
			<row>
				<val0>9008390124970</val0>
				<val1>Getränkebehälter - PET-Getränkeflaschen</val1>
			</row>
			<row>
				<val0>9008390124987</val0>
				<val1>Getränkebehälter - Sonstige Getränkeflaschen</val1>
			</row>
			<row>
				<val0>9008390124994</val0>
				<val1>Getränkebehälter - Sonstige Getränkebehälter</val1>
			</row>
			<row>
				<val0>9008390125007</val0>
				<val1>Feuchttücher</val1>
			</row>
			<row>
				<val0>9008390125014</val0>
				<val1>Luftballons</val1>
			</row>
			<row>
				<val0>9008390125021</val0>
				<val1>Tabakprodukte</val1>
			</row>
			<row>
				<val0>9008390125038</val0>
				<val1>Fanggeräte</val1>
			</row>
			<row>
				<val0>9008390125137</val0>
				<val1>Getränkebecher - vollständig aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390125144</val0>
				<val1>Getränkebecher - teilweise aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390125151</val0>
				<val1>Lebensmittelverpackungen - vollständig aus Kunststoff</val1>
			</row>
			<row>
				<val0>9008390125168</val0>
				<val1>Lebensmittelverpackungen - teilweise aus Kunststoff</val1>
			</row>
		</data>
	</let>
	<let name="l4399">
		<data>
			<row>
				<val0>9008390125052</val0>
				<val1>Thermische Verwertung</val1>
			</row>
			<row>
				<val0>9008390125045</val0>
				<val1>Recycling</val1>
			</row>
			<row>
				<val0>9008390125069</val0>
				<val1>Sonstige Verwertung</val1>
			</row>
		</data>
	</let>
	<xsl:function name="f:msgBasicRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID])) then ($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID]/sch:val1) else ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID),'«-Daten')"/>
	</xsl:function>
	<xsl:function name="f:msgPeriodRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID eq 'PLC_MKT.MNTH') then (concat('den Monat ',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),6,2),'/',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4))) else (concat('das Jahr ', substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4)))"/>
	</xsl:function>
	<xsl:function name="f:msgRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat(f:msgBasicRef($ncontext),' für ',f:msgPeriodRef($ncontext))"/>
	</xsl:function>
	<xsl:function name="f:valNodeName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName)) then concat('»',$ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName,'«') else '»edm.gv.at«'"/>
	</xsl:function>
	<pattern abstract="true" id="P105">
		<rule id="R105" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq $spkg_contenttypeid]/pkm:Event/pkm:MassValue">
			<report id="R105_chkcon" role="ERROR" test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq $pckg_contenttypeid]/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq $pckg_contenttypeid]/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">Die Übermittlung von <sch:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <sch:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <sch:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,$pckg_contenttypeid)"/> zur selben Tarifkategorie die <sch:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq $pckg_contenttypeid]/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</report>
		</rule>
	</pattern>
	<pattern is-a="P105">
		<param name="spkg_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03'"/>
		<param name="pckg_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P105">
		<param name="spkg_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04'"/>
		<param name="pckg_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P105">
		<param name="spkg_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03'"/>
		<param name="pckg_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P105">
		<param name="spkg_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03'"/>
		<param name="pckg_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P105">
		<param name="spkg_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04'"/>
		<param name="pckg_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P105">
		<param name="spkg_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04'"/>
		<param name="pckg_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04'"/>
	</pattern>
	<pattern>
		<rule id="R106" context="pkm:ReportUserMessage/pkm:ReportPeriodStartDate">
			<report id="R106_chkcon" role="ERROR" test="(../pkm:MessageTypeID eq 'PLC_MKT.MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]') lt '2022-11')">
				<sch:value-of select="f:valNodeName(current())"/> kann die Übermittlung von <sch:value-of select="f:msgRef(current())"/> nicht entgegennehmen, da das EDM eVerpackung 3.0 Webservice solche Übermittlungen nur für den Berichtszeitraum November 2022 oder später unterstützt. Für frühere Berichtszeiträume ist die Verwendung des EDM eVerpackung 2.0 Vorgänger-Webservice erforderlich.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R112" context="pkm:ReportUserMessage/pkm:ReportPeriodEndDate">
			<report id="R112_chkcon" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]') ne format-date(xs:date(.), '[Y]-[M,2]'))">Die Übermittlung von <sch:value-of select="f:msgBasicRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]-[D,2]')"/>« und das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(.), '[Y]-[M,2]-[D,2]')"/>«. Für Monats-Übermittlungen unterstützt das Datenformat nur solche Berichtszeiträume, bei welchen Beginndatum und Enddatum innerhalb desselben Kalendermonats liegen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R123" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Site">
			<report id="R123_chkcon" role="INFO" test="pkm:AddressCountryID eq '040'">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Name und Adresse des Verwertungsstandorts <sch:value-of select="f:resolveLocalSiteRefString(../.., pkm:LocalAssignmentID)"/>. Die Standortadresse liegt in Österreich. In Österreich gelegene Verwertungsstandorte sollen nach Möglichkeit in Übermittlungen NICHT per Name und Adresse benannt werden, sondern per Standort-GLN aus <sch:value-of select="f:valNodeName(current())"/>.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P129">
		<rule id="R129" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:$elem_name))]">
			<report id="R129_prvalw" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwertungsstandort: <sch:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <sch:value-of select="'$elem_descr'"/> (Datenelement »<sch:value-of select="'$elem_name'"/>«).</report>
		</rule>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="Name"/>
		<param name="elem_descr" value="die BEZEICHNUNG des Abfallverwertungsstandorts"/>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="AddressCountryID"/>
		<param name="elem_descr" value="die Identifikation des LANDES, in welchem sich der Standort befindet"/>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="AddressPostalAreaID"/>
		<param name="elem_descr" value="die POSTLEITZAHL des Standorts"/>
	</pattern>
	<pattern is-a="P129">
		<param name="elem_name" value="AddressCityName"/>
		<param name="elem_descr" value="die Bezeichnung des ORTS, z.B. Stadt, an dem sich der Standort befindet"/>
	</pattern>
	<pattern abstract="true" id="P134">
		<rule id="R134" context="pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.dPG') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,$typeidpart)]/pkm:Event/pkm:$elem_name">
			<report id="R134_chkcon" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:$elem_name[. eq (current()/text())]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <sch:value-of select="f:resolveGTINString($lcat,current(),'Tarifkategorie ')"/>. Diese Tarifkategorie gehört NICHT zu einer Sammelkategorie, die in <sch:value-of select="f:valNodeName(current())"/> zum übermittelnden Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als GENEHMIGTE Sammelkategorie eingetragen ist. Bei Übermittlungen an die Behörde, welche für die Berechnung von Marktanteilen relevant sind, dürfen Inverkehrsetzungs-Informationen nur für solche Tarifkategorien Angaben enthalten, die zu in <sch:value-of select="f:valNodeName(current())"/> eingetragenen GENEHMIGTEN Sammelkategorien gehören.</report>
		</rule>
	</pattern>
	<pattern is-a="P134">
		<param name="elem_name" value="HouseholdTariffCategoryID"/>
		<param name="typeidpart" value="'.tHH'"/>
	</pattern>
	<pattern is-a="P134">
		<param name="elem_name" value="CommercialTariffCategoryID"/>
		<param name="typeidpart" value="'.tCM'"/>
	</pattern>
	<pattern>
		<rule id="R162" context="pkm:ReportUserMessage/pkm:MessagePart[exists(pkm:Event) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq false())]">
			<report id="R162_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT in jenem Teil, der sich auf Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, Massen- bzw. Anzahl-Angaben (Datenelement »Event«) in Kombination mit der Information, dass für Berichtszeitraum und Inhaltstyp KEINE zu berichtenden Aktivitäten VORLIEGEN (»ReportingObligationActivityIndicator« auf Wert »false«). Das Datenformat unterstützt ausschließlich Übermittlungen, bei welchen eine ÜBEREINSTIMMUNG (Konsistenz) zwischen Folgendem besteht: (a) Information, ob zu berichtende Aktivitäten vorliegen bzw. nicht vorliegen, und (b) dem Enthaltensein bzw. Nicht-Enthaltensein von Masse-/Anzahl-Angaben.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P188">
		<rule id="R188" context="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('$content_type_id', 1, 12)]">
			<report id="R188_prvcnd" role="ERROR" test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('$content_type_id', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq '$content_type_id']) eq 0)">In der Übermittlung von <sch:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,'$content_type_id')"/>. Das Datenformat erfordert solche Inhalte<sch:value-of select="if (substring('$content_type_id', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <sch:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <sch:value-of select="if (substring('$content_type_id', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</report>
		</rule>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12"/>
	</pattern>
	<pattern is-a="P188">
		<param name="content_type_id" value="RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12"/>
	</pattern>
	<pattern>
		<rule id="R192" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:CommercialTariffCategoryID[(. eq '9008390101421') or (. eq '9008390101810')]">
			<assert id="R192_chkcon" role="ERROR" test="xs:string(../../../pkm:ReportPeriodStartDate) eq '2022-01-01'">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat)"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','.CommercialTariffCategoryID.',$lcat,$l4399))"/>. Das Datenformat unterstützt die gewerblichen Tarifkategorien Glas (GTIN 9008390101421) und Getränkeverbundkartons (GTIN 9008390101810) jedoch nur in Übermittlungen für das Berichtsjahr 2022.</assert>
		</rule>
	</pattern>
	<pattern>
		<rule id="R202" context="pkm:ReportUserMessage/pkm:ListedData/pkm:Party">
			<report id="R202_chkcon" role="INFO" test="pkm:RegisteredOfficeAddressCountryID eq '040'">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Name und Adresse des Verwerters <sch:value-of select="f:resolveLocalPartyRefString(../.., pkm:LocalAssignmentID)"/>. Die Sitzadresse liegt in Österreich. Verwerter mit Sitz in Österreich sollen nach Möglichkeit in Übermittlungen NICHT per Name und Adresse benannt werden, sondern per in <sch:value-of select="f:valNodeName(current())"/> eingetragener GLN der öffentlichen Verwaltung oder EDM-GLN.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P237">
		<rule id="R237" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq $a_contenttypeid]/pkm:Event/pkm:MassValue">
			<report id="R237_chkcon" role="ERROR" test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <sch:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,$b_contenttypeid)"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</report>
		</rule>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03'"/>
		<param name="b_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04'"/>
		<param name="b_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03'"/>
		<param name="b_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04'"/>
		<param name="b_contenttypeid" value="'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04'"/>
	</pattern>
	<pattern is-a="P237">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04'"/>
	</pattern>
	<pattern>
		<rule id="C248" context="pkm:ReportUserMessage/pkm:ReportPeriodEndDate">
			<report id="R248_chkcon" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') ne format-date(xs:date(.), '[Y]'))">Die Übermittlung von <sch:value-of select="f:msgBasicRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]-[D,2]')"/>« und das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(.), '[Y]-[M,2]-[D,2]')"/>«. Für Jahres-Übermittlungen unterstützt das Datenformat nur solche Berichtszeiträume, bei welchen Beginndatum und Enddatum innerhalb desselben Kalenderjahres liegen.</report>
			<report id="R693_chkcon" role="ERROR" test="(format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') eq format-date(xs:date(.), '[Y]')) and exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and ((year-from-dateTime(xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp))-year-from-date(xs:date(.))) gt 3)">Für die Übermittlung liegt der Berichtszeitraum mehr als 3 Jahre in der Vergangenheit, konkret im Jahr <sch:value-of select="format-date(xs:date(.), '[Y]')"/>. Die Schnittstelle unterstützt Übermittlungen nur für solche Berichtszeiträume, die höchstens 3 Jahre zurückliegen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R272" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']">
			<report id="R272_chkcon" role="INFO" test="exists(../pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) ge xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-04-11'))) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) le xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> soll spätestens bis zum 10. April <sch:value-of select="year-from-date(xs:date(pkm:ReportPeriodEndDate))+1"/> erfolgen. Verletzt für die Übermittlung zum Datum <sch:value-of select="f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H'))"/>.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R273" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event">
			<report id="R273_uqstrc" role="ERROR" test="count(f:precedingSameTypeEvent(.)) eq 1">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/> und <sch:value-of select="f:describeEvent(.,'','.MassValue.Count.',$lcat,$l4399)"/> ZWEI ODER MEHR Angaben. Bei der ersten Angabe handelt es sich um <sch:value-of select="f:describeEvent((f:precedingSameTypeEvent(.))[1],'.MassValue.Count.','',$lcat,$l4399)"/>, bei der zweiten um <sch:value-of select="f:describeEvent(.,'.MassValue.Count.','',$lcat,$l4399)"/>. Das Datenformat unterstützt hier HÖCHSTENS EINE Angabe.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R298" context="pkm:ReportUserMessage/pkm:ReportPeriodStartDate">
			<report id="R298_chkcon" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-01-01'))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Jahres-Übermittlungen unterstützt das Datenformat nur den 1. Jänner eines Jahres, z.B. »<sch:value-of select="format-date(xs:date(current()), '[Y]-01-01')"/>«, als Berichtszeitraum-Beginndatum.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R314" context="pkm:ReportUserMessage/pkm:MessagePart[contains(pkm:ContentTypeID,'.p')]/pkm:Event/pkm:SingleUsePlasticProductTypeID[(. ne '9008390124949') and (. ne '9008390124956')]">
			<report id="R314_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/>. Das Datenformat unterstützt für Inhalte dieser Art jedoch ausschließlich die Einwegkunststoffprodukt-Arten Getränkebecher (GTIN 9008390124949) und Lebensmittelverpackungen (GTIN 9008390124956).</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R334" context="pkm:ReportUserMessage/pkm:ReportPeriodStartDate">
			<report id="R334_chkcon" role="ERROR" test="(substring(../pkm:MessageTypeID,9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]') lt '2022')">
				<sch:value-of select="f:valNodeName(current())"/> kann die Übermittlung von <sch:value-of select="f:msgRef(current())"/> nicht entgegennehmen, da das EDM eVerpackung 3.0 Webservice solche Übermittlungen nur für das Berichtsjahr 2022 oder später unterstützt. Für frühere Berichtsjahre ist die Verwendung des EDM eVerpackung 2.0 Vorgänger-Webservice erforderlich.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R344" context="pkm:ReportUserMessage/pkm:MessagePart">
			<report id="R344_uqstrc" role="ERROR" test="count(./preceding-sibling::pkm:MessagePart[pkm:ContentTypeID eq current()/pkm:ContentTypeID]) eq 1">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT ZWEI ODER MEHR Teile mit Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>. Das Datenformat lässt jede Inhaltsart HÖCHSTENS in EINEM Teil zu.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R372" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/text()]))]">
			<report id="R372_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT Name und Adresse des Verwerters <sch:value-of select="f:resolveLocalPartyRefString(../../.., .)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf den Verwerter <sch:value-of select="f:resolveLocalPartyRefString(../../.., .)"/>. Das Datenformat unterstützt die Angabe von Name und Adresse eines Verwerters nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf diesen Verwerter enthält.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P374">
		<rule id="R374" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq $a_contenttypeid]/pkm:Event/pkm:Count">
			<report id="R374_chkcon" role="ERROR" test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]) lt 1)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,$b_contenttypeid)"/> zu dieser Art von Einwegkunststoffprodukten. Das Datenformat unterstützt in Bezug auf die Anzahl vollständig und teilweise aus Kunststoff bestehender Produkte nur solche Übermittlungen, die je Einwegkunststoffprodukt-Art BEIDE Angaben enthalten oder KEINE Angabe enthalten.</report>
		</rule>
	</pattern>
	<pattern is-a="P374">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19'"/>
	</pattern>
	<pattern is-a="P374">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19'"/>
	</pattern>
	<pattern>
		<rule id="R407" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID">
			<report id="R407_chkcon" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:CommercialActivityIndicator) and (substring(., 28, 2) eq 'CM') and (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:CommercialActivityIndicator) eq false()) and not(exists(../preceding-sibling::pkm:MessagePart[(substring(pkm:ContentTypeID, 28, 2) eq 'CM')]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,.)"/>, und somit Angaben zu gewerblichen Verpackungen. Die Übermittlung weist das Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Übermittlungs-Ersteller aus. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN Eintrag einer Unternehmenstätigkeit »Sammel- und Verwertungssystem für gewerbliche Verpackungen« für dieses Unternehmen. Bei Übermittlungen an die Behörde sind Angaben zu gewerblichen Verpackungen nur dann zulässig, wenn <sch:value-of select="f:valNodeName(current())"/> eine solche Unternehmenstätigkeits-Eintragung enthält.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R408" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) lt 0.0]">
			<report id="R408_chkval" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemMassValue(..,'','',true())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399))"/>. Das Datenformat unterstützt nur nicht-negative Massen-Angaben.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R464" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:ID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]">
			<report id="R464_chkref" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu einem Verwerter die ID »<sch:value-of select="current()/text()"/>« und die ID-Art »<sch:value-of select="current()/@registerID"/>«<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeParty(..,'','.ID.',/pkm:MessageValidationContext))"/>. Die <sch:value-of select="f:valNodeName(current())"/> Codeliste 7411 definiert alle Arten von Beteiligten-IDs, welche das eVerpackung 3.0 Webservice in Datenübermittlungen in Zusammenhang mit Angaben wie Name und Adresse unterstützt. Die Codeliste 7411 enthält KEINEN Eintrag zur Beteiligten-ID-Art »<sch:value-of select="current()/@registerID"/>«.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P467">
		<rule id="R467" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:$elem_name))]">
			<report id="R467_prvalw" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwerter: <sch:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <sch:value-of select="'$elem_descr'"/> (Datenelement »<sch:value-of select="'$elem_name'"/>«).</report>
		</rule>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="Name"/>
		<param name="elem_descr" value="die BEZEICHNUNG des Abfallverwerters"/>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="RegisteredOfficeAddressCountryID"/>
		<param name="elem_descr" value="die Identifikation des LANDES, in dem das Unternehmen seinen (Haupt-)Sitz hat"/>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="RegisteredOfficeAddressPostalAreaID"/>
		<param name="elem_descr" value="die POSTLEITZAHL vom (Haupt-)Sitz des Unternehmens"/>
	</pattern>
	<pattern is-a="P467">
		<param name="elem_name" value="RegisteredOfficeAddressCityName"/>
		<param name="elem_descr" value="die Bezeichnung des ORTS, z.B. Stadt, an dem das Unternehmen seinen (Haupt-)Sitz hat"/>
	</pattern>
	<pattern>
		<rule id="R484" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03']/pkm:Event/pkm:HouseholdTariffCategoryID[(. ne '9008390101421') and (. ne '9008390106846') and (. ne '9008390106853')]">
			<report id="R484_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)"/>. Das Datenformat unterstützt für Inhalte dieser Art jedoch ausschließlich die Tarifkategorien Glas (GTIN 9008390101421), Eisenmetalle (GTIN 9008390106846) und Aluminium (GTIN 9008390106853).</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R491" context="pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID">
			<report id="R491_chkref" role="WARNING" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) and (xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) lt xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält <sch:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',../pkm:Name,'«')) else (concat('in den Sitzadress-Angaben zum Verwerter »',../pkm:Name,'«'))"/> die Identifikation des Landes (Nationalstaats) <sch:value-of select="f:resolveCountryIDString(/pkm:MessageValidationContext,current()/text())"/>. In der <sch:value-of select="f:valNodeName(current())"/> Codeliste 3862, welche die ISO 3166-1 Liste von Ländern abbildet, ist zu diesem Land als Existenz-Ende das Datum <sch:value-of select="format-date(xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate), '[Y]-[M,2]-[D,2]')"/> eingetragen. Gemäß dieser Daten hat das Land im Berichtszeitraum nicht mehr existiert.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R495" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/text()]))]">
			<report id="R495_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT Name und Adresse des Verwertungsstandorts <sch:value-of select="f:resolveLocalSiteRefString(../../.., .)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf den Verwertungsstandort <sch:value-of select="f:resolveLocalSiteRefString(../../.., .)"/>. Das Datenformat unterstützt die Angabe von Name und Adresse eines Verwertungsstandorts nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf diesen Verwertungsstandort enthält.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R496" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<let name="val_node_ind_data_party_node" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
			<report id="R496_chkcon" role="WARNING" test="exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod,'StartDate','EndDate')">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Unternehmens <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Allerdings handelt es sich laut den <sch:value-of select="f:valNodeName(current())"/> Daten um ein Unternehmen, das im Berichtszeitraum stillgelegt ist (<sch:value-of select="concat('stillgelegt seit ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate)) then (concat(', stillgelegt bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>).</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R507" context="pkm:ReportUserMessage/pkm:MessagePart[not(contains(pkm:ContentTypeID,'.p'))]/pkm:Event/pkm:Count[xs:decimal(.) eq 0]">
			<report id="R507_chkval" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemCount(..,'','',true())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399))"/>. Das Datenformat unterstützt für Inhalte dieser Art die Anzahl 0 NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R512" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID">
			<let name="val_node_ind_data_site_node" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]"/>
			<report id="R512_chkcon" role="WARNING" test="exists($val_node_ind_data_site_node) and exists($val_node_ind_data_site_node/pkm:RecoverySiteIndicator) and (xs:boolean($val_node_ind_data_site_node[1]/pkm:RecoverySiteIndicator[1]) eq false())">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <sch:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399))"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Standorts <sch:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>. Allerdings handelt es sich laut den <sch:value-of select="f:valNodeName(current())"/> Daten um einen Standort, an dem KEINE Abfallverwertung durchgeführt wird.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R525" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID">
			<report id="R525_chkref" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq current()/text()]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwerters den Wert »<sch:value-of select="current()/text()"/>«<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyLocalReferenceID.',$lcat,$l4399))"/>. Der Wert »<sch:value-of select="current()/text()"/>« verweist innerhalb der übermittelten Daten NICHT auf Name und Adresse eines Unternehmens.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P529">
		<rule id="R529" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event">
			<report id="R529_chkcon" role="ERROR" test="not(f:flexiContainsEventElem(.,'$elem_name')) and f:isRequiredEventElem('$elem_name',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">In der Übermittlung von <sch:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
				<sch:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'$elem_name','val3'))"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</report>
		</rule>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="MassValue"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="Count"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="HouseholdTariffCategoryID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="CommercialTariffCategoryID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="MaterialTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="ExtendedMaterialTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="PlasticCarrierBagTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="SingleUsePlasticProductTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="SingleUsePlasticPackagingTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="SingleUsePlasticBottleTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="RecoveryTypeID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="RecoveryPartyID"/>
	</pattern>
	<pattern is-a="P529">
		<param name="elem_name" value="RecoverySiteID"/>
	</pattern>
	<pattern>
		<rule id="R575" context="pkm:ReportUserMessage/pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq 'CM']/pkm:Event/pkm:MaterialTypeID[(. eq '9008390101421')] | pkm:ReportUserMessage/pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq 'CM']/pkm:Event/pkm:ExtendedMaterialTypeID[(. eq '9008390101421') or (. eq '9008390101810')]">
			<assert id="R575_chkcon" role="ERROR" test="xs:string(../../../pkm:ReportPeriodStartDate) eq '2022-01-01'">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/>
				<sch:value-of select="if (exists(../pkm:MaterialTypeID)) then (concat(' den ',f:describeEventElemMaterialTypeID(..,'','',true(),$lcat))) else (f:resolveGTINString($lcat,.,if ((. eq '9008390101810') or (. eq '9008390101483')) then (' die Kategorie ') else (' den Packstoff ')))"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.MaterialTypeID.ExtendedMaterialTypeID.',$lcat,$l4399))"/>. Das Datenformat unterstützt die Packstoffe bzw. Verbundverpackungsarten »Glas« (GTIN 9008390101421) und »Getränkeverbundkartons« (GTIN 9008390101810) bei Angaben zu gewerblichen Verpackungen jedoch nur in Übermittlungen für das Berichtsjahr 2022.</assert>
		</rule>
	</pattern>
	<pattern>
		<rule id="R633" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<report id="R633_chkcon" role="ERROR" test="((count(../preceding-sibling::pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID ne current()/@registerID)])+count(../../preceding-sibling::pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID ne current()/@registerID)])) ge 1) and ((count(../preceding-sibling::pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]) + count(../../preceding-sibling::pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)])) eq 0)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. Die Übermittlung enthält dieselbe Verwerter-GLN jedoch auch mit anderem registerID-Attribut.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R636" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']">
			<report id="R636_chkcon" role="WARNING" test="exists(../pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) gt xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> soll spätestens bis zum 10. April <sch:value-of select="year-from-date(xs:date(pkm:ReportPeriodEndDate))+1"/> erfolgen. Verletzt für die Übermittlung zum Datum <sch:value-of select="f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H'))"/>.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R671" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event">
			<report id="R671_chkcon" role="ERROR" test="(count(current()/../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/pkm:SingleUsePlasticProductTypeID]) lt 1)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/> Angaben zur <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',true(),$lcat)"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','.SingleUsePlasticProductTypeID.',$lcat,$l4399))"/>. In der Übermittlung FEHLEN Angaben zur MASSE in Verkehr gesetzter <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',false(),$lcat)"/>.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R683" context="pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID">
			<report id="R683_chkref" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält <sch:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',../pkm:Name,'«')) else (concat('in den Sitzadress-Angaben zum Verwerter »',../pkm:Name,'«'))"/> den Wert »<sch:value-of select="current()/text()"/>« als Identifikation eines Landes (Nationalstaats). In der <sch:value-of select="f:valNodeName(current())"/> Codeliste 3862, welche die ISO 3166-1 Liste von Ländern abbildet, gibt es zu dieser Identifikationszeichenkette KEINEN Eintrag. Das Webservice unterstützt in Datenübermittlungen nur solche Landes-Identifikationen, die in der EDM Codeliste 3862 eingetragen und auffindbar sind.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R684" context="pkm:ReportUserMessage/pkm:ReportPeriodEndDate">
			<report id="R684_chkcon" role="INFO" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H'))) and not(xs:date(../pkm:ReportPeriodStartDate) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> erfolgt zum Datum »<sch:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. das Berichtszeitraum-Enddatum liegt in der Zukunft.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R685" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<report id="R685_chkref" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN passenden Eintrag eines Unternehmens <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P690">
		<rule id="R690" context="pkm:ReportUserMessage[(substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and exists(pkm:MessagePart[contains(pkm:ContentTypeID,$typeidpart)]) and (not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:$elem_name)))]">
			<report id="R690_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Angaben zu <sch:value-of select="if ($typeidpart eq '.tHH') then ('Haushaltsverpackungen') else ('gewerblichen Verpackungen')"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten ist zum übermittelnden Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> eine Genehmigung eingetragen, die für den Berichtszeitraum KEINE genehmigten <sch:value-of select="if ($typeidpart eq '.tHH') then ('Sammelkategorien für Haushaltsverpackungen') else ('Sammelkategorien für gewerbliche Verpackungen')"/> enthält. Die Übermittlung an die Behörde darf deshalb KEINE Angaben zu <sch:value-of select="if ($typeidpart eq '.tHH') then ('Haushaltsverpackungen') else ('gewerblichen Verpackungen')"/> enthalten, auch nicht Leer-Übermittlungen.</report>
		</rule>
	</pattern>
	<pattern is-a="P690">
		<param name="elem_name" value="HouseholdTariffCategoryID"/>
		<param name="typeidpart" value="'.tHH'"/>
	</pattern>
	<pattern is-a="P690">
		<param name="elem_name" value="CommercialTariffCategoryID"/>
		<param name="typeidpart" value="'.tCM'"/>
	</pattern>
	<pattern>
		<rule id="R699" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<let name="val_node_ind_data_party_node" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
			<report id="R699_chkcon" role="WARNING" test="exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator) and (xs:boolean($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator[1]) eq false())">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Unternehmens <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Allerdings handelt es sich laut den <sch:value-of select="f:valNodeName(current())"/> Daten um ein Unternehmen, das NICHT als Abfallverwerter tätig ist.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R704" context="pkm:ReportUserMessage/pkm:ReportPeriodEndDate">
			<report id="R704_chkcon" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-12-31'))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Jahres-Übermittlungen unterstützt das Datenformat nur den 31. Dezember eines Jahres, z.B. »<sch:value-of select="format-date(xs:date(current()), '[Y]-12-31')"/>«, als Berichtszeitraum-Enddatum.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R706" context="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]">
			<report id="R706_chkref" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält die Angabe des Verwerters mit der ID »<sch:value-of select="current()/text()"/>« und der ID-Art »<sch:value-of select="current()/@registerID"/>«<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. Die <sch:value-of select="f:valNodeName(current())"/> Codeliste 7836 definiert alle Arten von Beteiligten-IDs, welche das eVerpackung 3.0 Webservice in Datenübermittlungen "interoperabel", d.h. mit ausschließlicher Angabe der Beteiligten-ID OHNE Name und Adresse unterstützt. Die Codeliste 7836 enthält KEINEN Eintrag zur Beteiligten-ID-Art »<sch:value-of select="current()/@registerID"/>«.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R737" context="pkm:ReportUserMessage/pkm:MessageCreationUTCTimestamp">
			<report id="R737_chkcon" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält den Message-Erstellungszeitpunkt »<sch:value-of select="."/>« und erfolgt zum Zeitpunkt »<sch:value-of select="/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp"/>«, d.h. der Message-Erstellungszeitpunkt liegt in der Zukunft. Das Webservice unterstützt die Übermittlung von Messages mit in der Zukunft liegendem Erstellungsdatum NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R752" context="pkm:ReportUserMessage/pkm:ListedData[not(exists(*))]">
			<report id="R752_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT ein Gruppierungselement für Angaben von Namen und Adressen von Verwertern und/oder Verwertungsstandorten, »ListedData«, welches LEER ist, d.h. keine XML-Unterelemente enthält. Das Datenformat unterstützt das Gruppierungselement »ListedData« nur bei Vorhandensein von einem oder mehreren XML-Unterelementen, d.h. nur bei Vorhandensein von zumindest einer Namens- und Adress-Angabe zu einem Verwerter und/oder einem Verwertungsstandort.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R755" context="pkm:ReportUserMessage/pkm:MessageCreationPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]">
			<report id="R755_chkref" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält die Angabe des Übermittlungs-Erstellers mit der ID »<sch:value-of select="current()/text()"/>« und der ID-Art »<sch:value-of select="current()/@registerID"/>«. Die <sch:value-of select="f:valNodeName(current())"/> Codeliste 7836 definiert alle Arten von Beteiligten-IDs, welche das eVerpackung 3.0 Webservice in Datenübermittlungen "interoperabel", d.h. mit ausschließlicher Angabe der Beteiligten-ID OHNE Name und Adresse unterstützt. Die Codeliste 7836 enthält KEINEN Eintrag zur Beteiligten-ID-Art »<sch:value-of select="current()/@registerID"/>«.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R766" context="pkm:ReportUserMessage/pkm:MessagePart[contains(pkm:ContentTypeID,'.rRE')]/pkm:Event/*[((local-name() eq 'HouseholdTariffCategoryID') or (local-name() eq 'CommercialTariffCategoryID') or (local-name() eq 'ExtendedMaterialTypeID')) and (text() eq '9008390101810')]">
			<report id="R766_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur Kategorie <sch:value-of select="f:resolveGTINString($lcat,.,'')"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.ExtendedMaterialTypeID.HouseholdTariffCategoryID.CommercialTariffCategoryID.',$lcat,$l4399))"/>. Das Datenformat unterstützt die Kategorie <sch:value-of select="f:resolveGTINString($lcat,.,'')"/> bei Angaben zu wiederverwendbaren Verpackungen NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R770" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID">
			<report id="R770_chkref" role="ERROR" test="../../pkm:MessageTypeID ne substring(current(), 1, 12)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,.)"/>. Das Datenformat unterstützt Inhalte dieser Art jedoch nur in <sch:value-of select="f:resolveMessageTypeID($l8686,substring(current(),1,12))"/>-Übermittlungen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R794" context="pkm:ReportUserMessage/pkm:ReportPeriodEndDate">
			<report id="R794_chkcon" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current())-xs:dayTimeDuration(concat('P', day-from-date(current())-1, 'D'))+xs:yearMonthDuration('P1M')-xs:dayTimeDuration('P1D'), '[Y]-[M,2]-[D,2]'))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Enddatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Monats-Übermittlungen unterstützt das Datenformat nur den letzten Tag eines Monats, z.B. »<sch:value-of select="format-date(xs:date(current())-xs:dayTimeDuration(concat('P', day-from-date(current())-1, 'D'))+xs:yearMonthDuration('P1M')-xs:dayTimeDuration('P1D'), '[Y]-[M,2]-[D,2]')"/>«, als Berichtszeitraum-Enddatum.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R806" context="pkm:ReportUserMessage[pkm:MessageTypeID ne 'RPT_OTH.YEAR']/pkm:ListedData">
			<report id="R806_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT Namen und Adressen zu Verwertern und/oder Verwertungsstandorten. Das Datenformat unterstützt Namen und Adressen zu Verwertern und/oder Verwertungsstandorten ausschließlich in »<sch:value-of select="$l8686/sch:data/sch:row[sch:val0 eq 'RPT_OTH.YEAR']/sch:val1"/>«-Übermittlungen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R811" context="pkm:ReportUserMessage/pkm:ReportPeriodStartDate">
			<report id="R811_chkcon" role="ERROR" test="(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-[M,2]-01'))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Monats-Übermittlungen unterstützt das Datenformat nur den ersten Tag eines Monats, z.B. »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-01')"/>«, als Berichtszeitraum-Beginndatum.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R815" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID">
			<report id="R815_chkref" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <sch:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399))"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN passenden Eintrag eines Standorts <sch:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R830" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID">
			<report id="R830_chkcon" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:HouseholdActivityIndicator) and (substring(., 28, 2) eq 'HH') and (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:HouseholdActivityIndicator) eq false()) and not(exists(../preceding-sibling::pkm:MessagePart[(substring(pkm:ContentTypeID, 28, 2) eq 'HH')]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,.)"/>, und somit Angaben zu Haushaltsverpackungen. Die Übermittlung weist das Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Übermittlungs-Ersteller aus. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN Eintrag einer Unternehmenstätigkeit »Sammel- und Verwertungssystem für Haushaltsverpackungen« für dieses Unternehmen. Bei Übermittlungen an die Behörde sind Angaben zu Haushaltsverpackungen nur dann zulässig, wenn <sch:value-of select="f:valNodeName(current())"/> eine solche Unternehmenstätigkeits-Eintragung enthält.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R845" context="pkm:ReportUserMessage[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message)]">
			<report id="R845_chkcon" role="ERROR" test="count(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message/pkm:MessagePart[every $m in current()/pkm:MessagePart/pkm:ContentTypeID satisfies ($m ne pkm:ContentTypeID)]) ge 1">Zur Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält <sch:value-of select="f:valNodeName(current())"/> bereits Daten. <sch:value-of select="f:valNodeName(current())"/> versucht deshalb, die bereits vorhandenen Daten mit der neuen Übermittlung zu aktualisieren. Die bereits vor der Übermittlung vorhandenen Daten ENTHALTEN einen oder mehrere Inhaltstypen, die in der Neu-Übermittlung NICHT enthalten sind, z.B. <sch:value-of select="f:contentTypeString($l3974,(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message/pkm:MessagePart[every $m in current()/pkm:MessagePart/pkm:ContentTypeID satisfies ($m ne pkm:ContentTypeID)])[1]/pkm:ContentTypeID)"/>. Das Webservice unterstützt das Löschen von in <sch:value-of select="f:valNodeName(current())"/> bereits existierenden Fachobjekten NICHT, weswegen es erforderlich ist, dass Aktualisierungen (zumindest) alle auf Seite der Behörde bereits vorhandenen Inhaltstypen (erneut) enthalten.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R855" context="*[exists(@xsi:type)]">
			<report id="R855_prvalw" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT das XML-Attribut »xsi:type« (»type«-Attribut aus dem Namensraum »http://www.w3.org/2001/XMLSchema-instance«). Das Datenformat unterstützt »xsi:type« XML-Attribut-Angaben NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R861" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']/pkm:Event[(pkm:SingleUsePlasticProductTypeID eq '9008390124949') or (pkm:SingleUsePlasticProductTypeID eq '9008390124956')]">
			<report id="R861_chkcon" role="ERROR" test="(count(current()/../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/pkm:SingleUsePlasticProductTypeID]) lt 1)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/> Angaben zur <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',true(),$lcat)"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','.SingleUsePlasticProductTypeID.',$lcat,$l4399))"/>. In der Übermittlung FEHLEN Angaben zur ANZAHL in Verkehr gesetzter vollständig aus Kunststoff bestehender <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',false(),$lcat)"/>.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R863" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID">
			<report id="R863_chkref" role="ERROR" test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq current()/text()]))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwertungsstandorts den Wert »<sch:value-of select="current()/text()"/>«<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoverySiteLocalReferenceID.',$lcat,$l4399))"/>. Der Wert »<sch:value-of select="current()/text()"/>« verweist innerhalb der übermittelten Daten NICHT auf Name und Adresse eines Standorts.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R879" context="pkm:ReportUserMessage/pkm:ReportPeriodStartDate">
			<report id="R879_chkcon" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> erfolgt zum Datum »<sch:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Beginndatum »<sch:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. das Berichtszeitraum-Beginndatum liegt in der Zukunft. Das Webservice unterstützt nur solche Übermittlungen, bei welchen das Berichtszeitraum-Beginndatum NICHT in der Zukunft liegt.</report>
		</rule>
	</pattern>
	<pattern abstract="true" id="P883">
		<rule id="R883" context="pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,$typeidpart)]">
			<let name="missing_category_id" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:$elem_name[(every $m in current()/pkm:Event/pkm:$elem_name satisfies ($m ne .))]"/>
			<report id="R883_chkcon" role="ERROR" test="count($missing_category_id) ge 1">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>, bei welchen Angaben zu <sch:value-of select="if (count($missing_category_id) eq 1) then ('1 Tarifkategorie FEHLEN, namentlich') else (concat(count($missing_category_id),' Tarifkategorien FEHLEN, z.B.'))"/> zur <sch:value-of select="f:resolveGTINString($lcat,($missing_category_id)[1],'Tarifkategorie ')"/>. Bei <sch:value-of select="if (count($missing_category_id) eq 1) then ('dieser 1 fehlenden Tarifkategorie') else (concat('diesen ',count($missing_category_id),' fehlenden Tarifkategorien'))"/> handelt es sich um <sch:value-of select="if (count($missing_category_id) eq 1) then ('eine Tarifkategorie, die zu einer Sammelkategorie gehört,') else ('Tarifkategorien, die zu Sammelkategorien gehören,')"/> die in <sch:value-of select="f:valNodeName(current())"/> zum übermittelnden Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als <sch:value-of select="if (count($missing_category_id) eq 1) then ('GENEHMIGTE Sammelkategorie eingetragen ist.') else ('GENEHMIGTE Sammelkategorie eingetragen sind.')"/> Bei Übermittlungen an die Behörde, welche für die Berechnung von Marktanteilen relevant sind, müssen Inverkehrsetzungs-Informationen für JEDE der Tarifkategorien Angaben enthalten, die zu in <sch:value-of select="f:valNodeName(current())"/> eingetragenen GENEHMIGTEN Sammelkategorien gehören.</report>
		</rule>
	</pattern>
	<pattern is-a="P883">
		<param name="elem_name" value="HouseholdTariffCategoryID"/>
		<param name="typeidpart" value="'.tHH'"/>
	</pattern>
	<pattern is-a="P883">
		<param name="elem_name" value="CommercialTariffCategoryID"/>
		<param name="typeidpart" value="'.tCM'"/>
	</pattern>
	<pattern abstract="true" id="P886">
		<rule id="R886" context="pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]) eq 1)]">
			<let name="sum_a" value="sum(pkm:MessagePart[pkm:ContentTypeID eq $a_contenttypeid]/pkm:Event/xs:decimal(pkm:MassValue))"/>
			<let name="sum_b" value="sum(pkm:MessagePart[pkm:ContentTypeID eq $b_contenttypeid]/pkm:Event/xs:decimal(pkm:MassValue))"/>
			<assert id="R886_chkcon" role="INFO" test="$sum_a ge $sum_b">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,$a_contenttypeid)"/> über alle Packstoffe hinweg die Gesamtmasse <sch:value-of select="f:formatMassCore($sum_a)"/>, sowie zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,$b_contenttypeid)"/> über alle Packstoffe hinweg die Gesamtmasse <sch:value-of select="f:formatMassCore($sum_b)"/>. Die Gesamtmasse der verwerteten Verpackungen ist für den Berichtszeitraum also größer als die Gesamtmasse der zur Verwertung übergebenen Verpackungen.</assert>
		</rule>
	</pattern>
	<pattern is-a="P886">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14'"/>
	</pattern>
	<pattern is-a="P886">
		<param name="a_contenttypeid" value="'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16'"/>
		<param name="b_contenttypeid" value="'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14'"/>
	</pattern>
	<pattern>
		<rule id="R911" context="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event/pkm:Count">
			<report id="R911_chkcon" role="ERROR" test="sum(../../../pkm:MessagePart[contains(pkm:ContentTypeID,'.p')]/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]/xs:decimal(pkm:Count)) eq 0">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19')"/> Angaben zur <sch:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/> mit einer GESAMTANZAHL von 0 über die vollständig aus Kunststoff bestehenden und die teilweise aus Kunststoff bestehenden Produkte hinweg. Das Datenformat unterstützt nur solche Übermittlungen, bei welchen die Gesamtanzahl größer 0 ist oder Angaben zur betreffenden Einwegkunststoffart im betreffenden Teil der Übermittlung ganz entfallen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R919" context="pkm:ReportUserMessage">
			<report id="R919_chkcon" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:MarketSharePublicationIndicator) and (substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:MarketSharePublicationIndicator) eq true())">Die Übermittlung von <sch:value-of select="f:msgBasicRef(current())"/> bezieht sich auf <sch:value-of select="f:msgPeriodRef(current())"/>. Die Behörde hat <sch:value-of select="f:valNodeName(current())"/> Daten für <sch:value-of select="f:msgPeriodRef(current())"/>, z.B. Daten aus früheren Übermittlungen an die Behörde, bereits für die Berechnung und Veröffentlichung von Marktanteilen genutzt. Über das Webservice ist deshalb die Aktualisierung bzw. Korrektur von Daten für diesen Berichtszeitraum NICHT mehr möglich. Anmerkung: Die Verpackungsverordnung 2014 definiert für bestimmte Fälle Möglichkeiten, Korrekturen in die Daten für einen nachfolgenden Berichtszeitraum einzurechnen.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R931" context="pkm:ReportUserMessage/pkm:MessageCreationPartyID">
			<report id="R931_chkcon" role="ERROR" test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) eq false())">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> weist das Unternehmen <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Ersteller der Übermittlung aus. In der Datenübermittlungs-Interaktion mit dem <sch:value-of select="f:valNodeName(current())"/> Webservice identifiziert und authentifiziert sich der Datenaustausch-Knoten »<sch:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>«. <sch:value-of select="f:valNodeName(current())"/> enthält für den Datenaustausch-Knoten »<sch:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>« keine aktive (gültige) Freischaltungs- bzw. Berechtigungs-Eintragung, im Namen von <sch:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> mit dem <sch:value-of select="f:valNodeName(current())"/> Webservice interagieren zu dürfen. Für Übermittlungen an die Behörde ist die Eintragung einer solchen Freischaltung bzw. Berechtigung in <sch:value-of select="f:valNodeName(current())"/> jedoch eine Voraussetzung.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R942" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID">
			<let name="val_node_ind_data_party_node" value="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
			<report id="R942_chkcon" role="WARNING" test="exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod,'StartDate','EndDate')">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <sch:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Unternehmens <sch:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Allerdings handelt es sich laut den <sch:value-of select="f:valNodeName(current())"/> Daten um ein Unternehmen, dessen Tätigkeit im Berichtszeitraum ruhendgestellt ist (<sch:value-of select="concat('ruhend seit ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate)) then (concat(', ruhend bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>).</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R953" context="pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]">
			<report id="R953_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> enthält in jenem Teil, der sich auf Inhalte der Art <sch:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, eine LEER-ÜBERMITTLUNG in Kombination mit der Information, dass für Berichtszeitraum und Inhaltstyp zu berichtende Aktivitäten VORLIEGEN (»ReportingObligationActivityIndicator« auf Wert »true«). Leer-Übermittlung bedeutet, dass dieser Teil der Übermittlung KEINE Inhalte enthält, d.h. keine Masse- bzw. Anzahl-Angaben (KEIN Datenelement »Event«). Das Datenformat unterstützt ausschließlich Übermittlungen, bei welchen eine ÜBEREINSTIMMUNG (Konsistenz) zwischen Folgendem besteht: (a) Information, ob zu berichtende Aktivitäten vorliegen bzw. nicht vorliegen, und (b) dem Enthaltensein bzw. Nicht-Enthaltensein von Masse-/Anzahl-Angaben.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R956" context="pkm:ReportUserMessage/pkm:MessagePart[not(f:isZeroSupportingContentType(pkm:ContentTypeID))]/pkm:Event/pkm:MassValue[xs:decimal(.) eq 0.0]">
			<report id="R956_chkcon" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemMassValue(..,'','',true())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399))"/>. Das Datenformat unterstützt für Inhalte dieser Art die Masse 0 NICHT.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R958" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) lt 0]">
			<report id="R958_chkval" role="ERROR" test="true()">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <sch:value-of select="f:describeEventElemCount(..,'','',true())"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399))"/>. Das Datenformat unterstützt nur nicht-negative Anzahl-Angaben.</report>
		</rule>
	</pattern>
	<pattern>
		<rule id="R988" context="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/*">
			<report id="R988_chkcon" role="ERROR" test="f:isUnsupportedEventElem(local-name(),substring(current()/../../pkm:ContentTypeID, string-length(current()/../../pkm:ContentTypeID)-6),f:getCatGTIN(..),$l8261)">Die Übermittlung von <sch:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <sch:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/>
				<sch:value-of select="if (f:eventElemNameExt($leventelem,local-name(),'val2') ne '') then (concat(' ',f:eventElemNameExt($leventelem,local-name(),'val2'),' (Datenelement »',local-name(),'«)')) else (concat(' das Datenelement »',local-name(),'«'))"/>
				<sch:value-of select="f:prefixIfNonEmpty(' in Kombination mit folgenden weiteren Angaben: ',f:describeEvent(..,'',concat('.',local-name(),'.'),$lcat,$l4399))"/>. Das Datenformat unterstützt in diesem Kontext KEINE »<sch:value-of select="local-name()"/>«-Datenelemente.</report>
		</rule>
	</pattern>
</schema>
