<?xml version="1.0" encoding="utf-8"?>
<!--
	PACK3 v2.02

	Copyright (C) 2025 Environment Agency Austria
	Contact: edm-helpdesk@umweltbundesamt.at

	Commissioned by the Austrian Federal Ministry of Environment (BMK)

	Licensed under the EUPL, Version 1.2 or – as soon they will be approved
	by the European Commission – subsequent versions of the EUPL (the "Licence");

	You may not use this work except in compliance with the Licence.

	You may obtain a copy of the Licence at: http://joinup.ec.europa.eu/software/page/eupl

	Unless required by applicable law or agreed to in writing, work distributed under the licence is distributed
	on an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

	See the Licence for the specific language governing permissions and limitations under the Licence.
-->
<xsl:transform xmlns:error="https://doi.org/10.5281/zenodo.1495494#error" xmlns:f="http://f.net/" xmlns:pkm="http://www.umweltbundesamt.at/schema/pack3_message" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:sch="http://purl.oclc.org/dsdl/schematron" xmlns:schxslt="https://doi.org/10.5281/zenodo.1495494" xmlns:schxslt-api="https://doi.org/10.5281/zenodo.1495494#api" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
	<rdf:Description xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dct="http://purl.org/dc/terms/" xmlns:skos="http://www.w3.org/2004/02/skos/core#">
		<dct:created>2025-02-05T10:15:04.6431031+01:00</dct:created>
	</rdf:Description>
	<xsl:output indent="yes"/>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:UTCtimestampToDate" as="xs:date">
		<xsl:param name="dt" as="xs:dateTime"/>
		<xsl:param name="offset" as="xs:dayTimeDuration"/>
		<xsl:sequence select="xs:date(format-dateTime(adjust-dateTime-to-timezone($dt, $offset),'[Y]-[M,2]-[D,2]'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isPeriodCoverage" as="xs:boolean">
		<xsl:param name="periodastartdate" as="xs:date"/>
		<xsl:param name="periodaenddate" as="xs:date"/>
		<xsl:param name="lnodestructperiodb" as="node()"/>
		<xsl:param name="selemnamestartdate" as="xs:string"/>
		<xsl:param name="selemnameenddate" as="xs:string"/>
		<xsl:sequence select="if ((count($lnodestructperiodb/*[local-name() eq $selemnamestartdate]) ne 1) or (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) gt 1)) then (false()) else (if (count($lnodestructperiodb/*[local-name() eq $selemnameenddate]) eq 0) then (if (xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) then (true()) else (false())) else (if ((xs:date(($lnodestructperiodb/*[local-name() eq $selemnamestartdate])[1]) le $periodastartdate) and (xs:date(($lnodestructperiodb/*[local-name() eq $selemnameenddate])[1]) ge $periodaenddate)) then (true()) else (false())))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:prefixIfNonEmpty" as="xs:string">
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:param name="smain" as="xs:string"/>
		<xsl:sequence select="if ($smain eq '') then ('') else (concat($sprefix,$smain))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:eventElemNameBasic" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:val1) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:eventElemNameExt" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:sequence select="if (exists($leventelem/sch:data/sch:row[sch:val0 eq $selemname])) then ($leventelem/sch:data/sch:row[sch:val0 eq $selemname]/sch:*[local-name() eq $sval]/text()) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:contentTypeString" as="xs:string">
		<xsl:param name="lcontenttypenode" as="node()"/>
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (exists($lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid])) then (concat('»',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val1,' gemäß ',$lcontenttypenode/sch:data/sch:row[sch:val0 eq $scontenttypeid]/sch:val2,'« (Code ',$scontenttypeid,')')) else (concat('»',$scontenttypeid,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveMessageTypeID" as="xs:string">
		<xsl:param name="l8686" as="node()"/>
		<xsl:param name="smessagetypeid" as="xs:string"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid])) then ($l8686/sch:data/sch:row[sch:val0 eq $smessagetypeid]/sch:val1) else ($smessagetypeid),'«')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveGTINString" as="xs:string">
		<xsl:param name="lattrvaluenode" as="node()"/>
		<xsl:param name="sgtin" as="xs:string"/>
		<xsl:param name="sprefix" as="xs:string"/>
		<xsl:sequence select="if (exists($lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin])) then (concat($sprefix,'»',$lattrvaluenode/sch:data/sch:row[sch:val0 eq $sgtin]/sch:val1,'« (GTIN ',$sgtin,')')) else (concat($sprefix,' mit der GTIN ',$sgtin))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolvePartyIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[((pkm:PartyPublicAdminGLNID eq $sid) and ($sregid eq 'GLN.AT')) or ((pkm:PartyEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM'))])[1]/pkm:PartyName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveLocalPartyRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveSiteIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:param name="sregid" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])) then (concat('»',($lnodevalcontext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[(pkm:SiteEDMGLNID eq $sid) and ($sregid eq 'GLN.EDM')])[1]/pkm:SiteName,'« (',$sregid,' ',$sid,')')) else (concat('mit der ',$sregid,' ',$sid))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveLocalSiteRefString" as="xs:string">
		<xsl:param name="lnodemessage" as="node()"/>
		<xsl:param name="sref" as="xs:string"/>
		<xsl:sequence select="if (exists($lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref])) then (concat('»',$lnodemessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq $sref]/pkm:Name,'«')) else (concat('»',$sref,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:resolveCountryIDString" as="xs:string">
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:param name="sid" as="xs:string"/>
		<xsl:variable name="lnodeelem" select="$lnodevalcontext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq $sid]"/>
		<xsl:sequence select="if (exists($lnodeelem) and exists($lnodeelem/pkm:CountryTwoLetterID)) then (concat($lnodeelem/pkm:CountryTwoLetterID,' (ID »',$sid,'«)')) else (concat('»',$sid,'«'))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:formatCount" as="xs:string">
		<xsl:param name="lnodecount" as="node()"/>
		<xsl:sequence select="translate(format-number(xs:decimal($lnodecount), '#,##0'),'.,',',.')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:formatMassCore" as="xs:string">
		<xsl:param name="dmass" as="xs:decimal"/>
		<xsl:sequence select="concat(translate(format-number($dmass, '#,##0.##'),'.,',',.'),' kg')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:formatMass" as="xs:string">
		<xsl:param name="lnodemass" as="node()"/>
		<xsl:sequence select="f:formatMassCore(xs:decimal($lnodemass))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:getCatGTIN" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:HouseholdTariffCategoryID)) then ($lnodeevent/pkm:HouseholdTariffCategoryID/text()) else (if (exists($lnodeevent/pkm:CommercialTariffCategoryID)) then ($lnodeevent/pkm:CommercialTariffCategoryID/text()) else (if (exists($lnodeevent/pkm:MaterialTypeID)) then ($lnodeevent/pkm:MaterialTypeID/text()) else (if (exists($lnodeevent/pkm:ExtendedMaterialTypeID)) then ($lnodeevent/pkm:ExtendedMaterialTypeID/text()) else (if (exists($lnodeevent/pkm:PlasticCarrierBagTypeID)) then ($lnodeevent/pkm:PlasticCarrierBagTypeID/text()) else (if (exists($lnodeevent/pkm:SingleUsePlasticProductTypeID)) then ($lnodeevent/pkm:SingleUsePlasticProductTypeID/text()) else (if (exists($lnodeevent/pkm:SingleUsePlasticPackagingTypeID)) then ($lnodeevent/pkm:SingleUsePlasticPackagingTypeID/text()) else (if (exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID)) then ($lnodeevent/pkm:SingleUsePlasticBottleTypeID/text()) else (''))))))))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:checkUseElem" as="xs:boolean">
		<xsl:param name="sname" as="xs:string"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:sequence select="if ($sfilterincl ne '') then (if (contains($sfilterincl,concat('.',$sname,'.'))) then (true()) else (false())) else (if ($sfilterexcl ne '') then (if (not(contains($sfilterexcl,concat('.',$sname,'.')))) then (true()) else (false())) else (true()))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemMassValue" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MassValue) and f:checkUseElem('MassValue',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Masse ') else (''),f:formatMass($lnodeevent/pkm:MassValue))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemCount" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:Count) and f:checkUseElem('Count',$sfilterincl,$sfilterexcl)) then (concat(if ($bheader eq true()) then ('Anzahl ') else (''),f:formatCount($lnodeevent/pkm:Count))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemHouseholdTariffCategoryID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:HouseholdTariffCategoryID) and f:checkUseElem('HouseholdTariffCategoryID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Tarifkategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:HouseholdTariffCategoryID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemCommercialTariffCategoryID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:CommercialTariffCategoryID) and f:checkUseElem('CommercialTariffCategoryID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Tarifkategorie ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:CommercialTariffCategoryID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemMaterialTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:MaterialTypeID) and f:checkUseElem('MaterialTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Packstoff ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:MaterialTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemExtendedMaterialTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:ExtendedMaterialTypeID) and f:checkUseElem('ExtendedMaterialTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then (if (($lnodeevent/pkm:ExtendedMaterialTypeID eq '9008390101810') or ($lnodeevent/pkm:ExtendedMaterialTypeID eq '9008390101483')) then ('Kategorie ') else ('Packstoff ')) else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:ExtendedMaterialTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemPlasticCarrierBagTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:PlasticCarrierBagTypeID) and f:checkUseElem('PlasticCarrierBagTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Tragetaschen-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:PlasticCarrierBagTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventElemSingleUsePlasticProductTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticProductTypeID) and f:checkUseElem('SingleUsePlasticProductTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoffprodukt-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticProductTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventSingleUsePlasticPackagingTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticPackagingTypeID) and f:checkUseElem('SingleUsePlasticPackagingTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoffverpackungs-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticPackagingTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventSingleUsePlasticBottleTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID) and f:checkUseElem('SingleUsePlasticBottleTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Einwegkunststoff-Getränkeflaschen-Art ') else (''),f:resolveGTINString($lnodecat,$lnodeevent/pkm:SingleUsePlasticBottleTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoveryTypeID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryTypeID) and f:checkUseElem('RecoveryTypeID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsart ') else (''),f:resolveGTINString($lnode4399,$lnodeevent/pkm:RecoveryTypeID,''))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoveryPartyID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyID) and f:checkUseElem('RecoveryPartyID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwerter ') else (''),f:resolvePartyIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoveryPartyID,$lnodeevent/pkm:RecoveryPartyID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoveryPartyLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID) and f:checkUseElem('RecoveryPartyLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwerter ') else (''),f:resolveLocalPartyRefString($lnodeevent/../..,$lnodeevent/pkm:RecoveryPartyLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoverySiteID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteID) and f:checkUseElem('RecoverySiteID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveSiteIDString($lnodeevent/../../..,$lnodeevent/pkm:RecoverySiteID,$lnodeevent/pkm:RecoverySiteID/@registerID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEventRecoverySiteLocalReferenceID" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeevent/pkm:RecoverySiteLocalReferenceID) and f:checkUseElem('RecoverySiteLocalReferenceID',$sfilterincl,$sfilterexcl)) then (f:prefixIfNonEmpty(if ($bheader eq true()) then ('Verwertungsstandort ') else (''),f:resolveLocalSiteRefString($lnodeevent/../..,$lnodeevent/pkm:RecoverySiteLocalReferenceID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeEvent" as="xs:string">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodecat" as="node()"/>
		<xsl:param name="lnode4399" as="node()"/>
		<xsl:sequence select="string-join((f:describeEventElemHouseholdTariffCategoryID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemCommercialTariffCategoryID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemMaterialTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemExtendedMaterialTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemPlasticCarrierBagTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventElemSingleUsePlasticProductTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventSingleUsePlasticPackagingTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventSingleUsePlasticBottleTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnodecat), f:describeEventRecoveryTypeID($lnodeevent,$sfilterincl,$sfilterexcl,true(),$lnode4399), f:describeEventRecoveryPartyID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoveryPartyLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventRecoverySiteLocalReferenceID($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemMassValue($lnodeevent,$sfilterincl,$sfilterexcl,true()), f:describeEventElemCount($lnodeevent,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodeparty/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:ID) and f:checkUseElem('ID',$sfilterincl,$sfilterexcl)) then (concat($lnodeparty/pkm:ID/@registerID,': »',$lnodeparty/pkm:ID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyName" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodeparty/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyCountry" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCountryID) and f:checkUseElem('RegisteredOfficeAddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodeparty/pkm:RegisteredOfficeAddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyPostalAreaID" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID) and f:checkUseElem('RegisteredOfficeAddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Postleitzahl: »',$lnodeparty/pkm:RegisteredOfficeAddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describePartyCity" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodeparty/pkm:RegisteredOfficeAddressCityName) and f:checkUseElem('RegisteredOfficeAddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Sitz-Ort: »',$lnodeparty/pkm:RegisteredOfficeAddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeParty" as="xs:string">
		<xsl:param name="lnodeparty" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describePartyName($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyID($lnodeparty,$sfilterincl,$sfilterexcl,true()), f:describePartyCountry($lnodeparty,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describePartyPostalAreaID($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyCity($lnodeparty,$sfilterincl,$sfilterexcl,true()),f:describePartyLocalAssignmentID($lnodeparty,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteLocalAssignmentID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:LocalAssignmentID) and f:checkUseElem('LocalAssignmentID',$sfilterincl,$sfilterexcl)) then (concat('ID zur Referenzierung innerhalb der Übermittlung: »',$lnodesite/pkm:LocalAssignmentID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteName" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:Name) and f:checkUseElem('Name',$sfilterincl,$sfilterexcl)) then (concat('Bezeichnung: »',$lnodesite/pkm:Name,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteCountry" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCountryID) and f:checkUseElem('AddressCountryID',$sfilterincl,$sfilterexcl)) then (concat('Land: ',f:resolveCountryIDString($lnodevalcontext,$lnodesite/pkm:AddressCountryID))) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSitePostalAreaID" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressPostalAreaID) and f:checkUseElem('AddressPostalAreaID',$sfilterincl,$sfilterexcl)) then (concat('Postleitzahl: »',$lnodesite/pkm:AddressPostalAreaID,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSiteCity" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="bheader" as="xs:boolean"/>
		<xsl:sequence select="if (exists($lnodesite/pkm:AddressCityName) and f:checkUseElem('AddressCityName',$sfilterincl,$sfilterexcl)) then (concat('Ort: »',$lnodesite/pkm:AddressCityName,'«')) else ('')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:describeSite" as="xs:string">
		<xsl:param name="lnodesite" as="node()"/>
		<xsl:param name="sfilterincl" as="xs:string"/>
		<xsl:param name="sfilterexcl" as="xs:string"/>
		<xsl:param name="lnodevalcontext" as="node()"/>
		<xsl:sequence select="string-join((f:describeSiteName($lnodesite,$sfilterincl,$sfilterexcl,true()),  f:describeSiteCountry($lnodesite,$sfilterincl,$sfilterexcl,true(),$lnodevalcontext),f:describeSitePostalAreaID($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteCity($lnodesite,$sfilterincl,$sfilterexcl,true()),f:describeSiteLocalAssignmentID($lnodesite,$sfilterincl,$sfilterexcl,true()))[. != ''], '; ')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isZeroSupportingContentType" as="xs:boolean">
		<xsl:param name="scontenttypeid" as="xs:string"/>
		<xsl:sequence select="if (((substring($scontenttypeid,1,7) eq 'PLC_MKT') and (contains($scontenttypeid,'.aPLC_MKT'))) or contains($scontenttypeid,'.sSP')) then (true()) else (false())"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isUnsupportedEventElem" as="xs:boolean">
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="scatid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:sequence select="not(exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)]))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:isRequiredEventElem" as="xs:boolean">
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sstrctid" as="xs:string"/>
		<xsl:param name="scatid" as="xs:string"/>
		<xsl:param name="l8261node" as="node()"/>
		<xsl:sequence select="exists(($l8261node/sch:data/sch:row)[(sch:val0 eq $sstrctid) and (sch:val1 eq $selemname)])"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:flexiContainsEventElem" as="xs:boolean">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:sequence select="if ($selemname eq 'RecoveryPartyID') then (exists($lnodeevent/pkm:RecoveryPartyID) or exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID)) else (if ($selemname eq 'RecoverySiteID') then (exists($lnodeevent/pkm:RecoverySiteID) or exists($lnodeevent/pkm:RecoverySiteLocalReferenceID)) else (exists($lnodeevent/*[local-name() eq $selemname])))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:flexiRequiredEventElemString" as="xs:string">
		<xsl:param name="leventelem" as="node()"/>
		<xsl:param name="selemname" as="xs:string"/>
		<xsl:param name="sval" as="xs:string"/>
		<xsl:sequence select="if ($selemname eq 'RecoveryPartyID') then (if (f:eventElemNameExt($leventelem,$selemname,$sval) ne '') then (concat(f:eventElemNameExt($leventelem,$selemname,$sval),' (Datenelement »RecoveryPartyID« bzw. »RecoveryPartyLocalReferenceID«)')) else ('das Datenelement »RecoveryPartyID« bzw. »RecoveryPartyLocalReferenceID«')) else (if ($selemname eq 'RecoverySiteID') then (if (f:eventElemNameExt($leventelem,$selemname,$sval) ne '') then (concat(f:eventElemNameExt($leventelem,$selemname,$sval),' (Datenelement »RecoverySiteID« bzw. »RecoverySiteLocalReferenceID«)')) else ('das Datenelement »RecoverySiteID« bzw. »RecoverySiteLocalReferenceID«')) else (if (f:eventElemNameExt($leventelem,$selemname,$sval) ne '') then (concat(f:eventElemNameExt($leventelem,$selemname,$sval),' (Datenelement »',$selemname,'«)')) else (concat('das Datenelement »',$selemname,'«'))))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:precedingSameTypeEvent" as="node()*">
		<xsl:param name="lnodeevent" as="node()"/>
		<xsl:sequence select="$lnodeevent/preceding-sibling::pkm:Event[((not(exists(pkm:HouseholdTariffCategoryID)) and not(exists($lnodeevent/pkm:HouseholdTariffCategoryID))) or (pkm:HouseholdTariffCategoryID eq $lnodeevent/pkm:HouseholdTariffCategoryID)) and ((not(exists(pkm:CommercialTariffCategoryID)) and not(exists($lnodeevent/pkm:CommercialTariffCategoryID))) or (pkm:CommercialTariffCategoryID eq $lnodeevent/pkm:CommercialTariffCategoryID)) and ((not(exists(pkm:MaterialTypeID)) and not(exists($lnodeevent/pkm:MaterialTypeID))) or (pkm:MaterialTypeID eq $lnodeevent/pkm:MaterialTypeID)) and ((not(exists(pkm:ExtendedMaterialTypeID)) and not(exists($lnodeevent/pkm:ExtendedMaterialTypeID))) or (pkm:ExtendedMaterialTypeID eq $lnodeevent/pkm:ExtendedMaterialTypeID)) and ((not(exists(pkm:PlasticCarrierBagTypeID)) and not(exists($lnodeevent/pkm:PlasticCarrierBagTypeID))) or (pkm:PlasticCarrierBagTypeID eq $lnodeevent/pkm:PlasticCarrierBagTypeID)) and ((not(exists(pkm:SingleUsePlasticProductTypeID)) and not(exists($lnodeevent/pkm:SingleUsePlasticProductTypeID))) or (pkm:SingleUsePlasticProductTypeID eq $lnodeevent/pkm:SingleUsePlasticProductTypeID)) and ((not(exists(pkm:SingleUsePlasticPackagingTypeID)) and not(exists($lnodeevent/pkm:SingleUsePlasticPackagingTypeID))) or (pkm:SingleUsePlasticPackagingTypeID eq $lnodeevent/pkm:SingleUsePlasticPackagingTypeID)) and ((not(exists(pkm:SingleUsePlasticBottleTypeID)) and not(exists($lnodeevent/pkm:SingleUsePlasticBottleTypeID))) or (pkm:SingleUsePlasticBottleTypeID eq $lnodeevent/pkm:SingleUsePlasticBottleTypeID)) and ((not(exists(pkm:RecoveryTypeID)) and not(exists($lnodeevent/pkm:RecoveryTypeID))) or (pkm:RecoveryTypeID eq $lnodeevent/pkm:RecoveryTypeID)) and ((not(exists(pkm:RecoveryPartyID)) and not(exists($lnodeevent/pkm:RecoveryPartyID))) or (pkm:RecoveryPartyID eq $lnodeevent/pkm:RecoveryPartyID)) and ((not(exists(pkm:RecoveryPartyLocalReferenceID)) and not(exists($lnodeevent/pkm:RecoveryPartyLocalReferenceID))) or (pkm:RecoveryPartyLocalReferenceID eq $lnodeevent/pkm:RecoveryPartyLocalReferenceID)) and ((not(exists(pkm:RecoverySiteID)) and not(exists($lnodeevent/pkm:RecoverySiteID))) or (pkm:RecoverySiteID eq $lnodeevent/pkm:RecoverySiteID)) and ((not(exists(pkm:RecoverySiteLocalReferenceID)) and not(exists($lnodeevent/pkm:RecoverySiteLocalReferenceID))) or (pkm:RecoverySiteLocalReferenceID eq $lnodeevent/pkm:RecoverySiteLocalReferenceID))]"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgBasicRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat('»',if (exists($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID])) then ($l8686/sch:data/sch:row[sch:val0 eq $ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID]/sch:val1) else ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID),'«-Daten')"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgPeriodRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if ($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageTypeID eq 'PLC_MKT.MNTH') then (concat('den Monat ',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),6,2),'/',substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4))) else (concat('das Jahr ', substring(xs:string($ncontext/ancestor::pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate),1,4)))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:msgRef" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="concat(f:msgBasicRef($ncontext),' für ',f:msgPeriodRef($ncontext))"/>
	</xsl:function>
	<xsl:function xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:sqf="http://www.schematron-quickfix.com/validator/process" name="f:valNodeName" as="xs:string">
		<xsl:param name="ncontext" as="node()"/>
		<xsl:sequence select="if (exists($ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName)) then concat('»',$ncontext/ancestor::pkm:MessageValidationContext/pkm:ValidationNodeName,'«') else '»edm.gv.at«'"/>
	</xsl:function>
	<xsl:param name="leventelem">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Masse</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Masse</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Masse</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">Count</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Anzahl</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Anzahl</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Anzahl</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">HouseholdTariffCategoryID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Tarifkategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Tarifkategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Tarifkategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">CommercialTariffCategoryID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Tarifkategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Tarifkategorie</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Tarifkategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Packstoff</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Packstoff</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Packstoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">ExtendedMaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Packstoff bzw. Verbundverpackungs-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Packstoff bzw. die Verbundverpackungs-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Packstoff bzw. die Verbundverpackungs-Art</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PlasticCarrierBagTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Tragetaschen-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Tragetaschen-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Tragetaschen-Art</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">SingleUsePlasticProductTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffprodukt-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Kunststoffprodukt-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Kunststoffprodukt-Art</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">SingleUsePlasticPackagingTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffverpackungs-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Kunststoffverpackungs-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Kunststoffverpackungs-Art</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">SingleUsePlasticBottleTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkeflaschen-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Getränkeflaschen-Art</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Getränkeflaschen-Art</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoveryTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsart</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">die Verwertungsart</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">die Verwertungsart</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwerter</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Verwerter</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Verwerter</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoveryPartyLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwerter</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Verwerter</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Verwerter</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoverySiteID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Verwertungsstandort</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RecoverySiteLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">den Verwertungsstandort</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val3">der Verwertungsstandort</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l8686">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.MNTH</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Monat, marktanteilsrelevant</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.YEAR</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Jahr, marktanteilsrelevant</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Jahr, nicht marktanteilsrelevant</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l3974">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Zur Verwertung übergebene als Abfall angefallene wiederverwendbare Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z6 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Zur Verwertung übergebene Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getrennt gesammelte gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 8 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von den Lieferanten übernommene Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z1 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MKT_SHR.YEAR.dPG.aPLC_MKT.tCM.cSTRCT02</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Marktanteile der SuVS für gewerbliche Verpackungen je Sammelkategorie für ein Kalenderjahr</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29d Abs. 4 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Gemeinsam mit gemischten Siedlungsabfällen erfasste und anschließend aussortierte Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 9 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwendete wiederverwendbare Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalendermonat in Verkehr gesetzte oder zum Eigengebrauch importierte gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29d Abs. 2 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Im Rahmen von Reinigungsaktionen übernommene Einwegkunststoff-Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 10 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Angefallene Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwendete wiederverwendbare gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 1 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Zur Verwertung übergebene Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Als Abfall angefallene nicht lizenzierte wiederverwendbare Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 7 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS zur Verwertung übergebene gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 11 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 1 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Erstmals in Verkehr gesetzte wiederverwendbare Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z1 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertung der von SuVS zur Verwertung übergebenen gewerblichen Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 11 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte Kunststofftragetaschen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 13m Abs 2 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Zur Verwertung übergebene nicht lizenzierte als Abfall angefallene wiederverwendbare Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 7 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwendete wiederverwendbare Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Eigenimportierte Verkaufs-Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z2 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertete Verpackungsmaterialien aus zur Verwertung übergebenen nicht lizenzierten als Abfall angefallenen wiederverwendbaren Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 7 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Als Abfall angefallene wiederverwendbare Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Bei der Herstellung bestimmter Einwegkunststoffprodukte eingesetztes Recyclat</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 21a Abs. 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MKT_SHR.MNTH.dPG.aPLC_MKT.tHH.cSTRCT01</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Marktanteile der SuVS für Haushaltsverpackungen je Sammelkategorie für ein Kalendermonat</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29b Abs. 4 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getrennt gesammelte Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 8 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Angefallene Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z4 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare Haushalts-Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 4 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertete Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MKT_SHR.YEAR.dPG.aPLC_MKT.tHH.cSTRCT01</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Marktanteile der SuVS für Haushaltsverpackungen je Sammelkategorie für ein Kalenderjahr</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29b Abs. 4 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertete Verpackungsmaterialien aus zur Verwertung übergebenen als Abfall angefallenen wiederverwendbaren Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z6 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare gewerbliche Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 4 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Aus Bodenasche von Verbrennungsanlagen gewonnene Materialien (Verbrennung von Siedlungsabfällen)</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 9 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalendermonat in Verkehr gesetzte oder zum Eigengebrauch importierte Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29b Abs. 3 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von den Lieferanten übernommene Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z2 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Im Rahmen von Reinigungsaktionen übernommene Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 10 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.MNTH.dPG.aDIR_CLT.tCM.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von gewerblichen Anfallstellen im Kalendermonat direkt abgeholte beim SuVS entpflichtete Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29d Abs. 3 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwendete wiederverwendbare Haushalts-Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 6 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Angefallene Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z4 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS zur Verwertung übergebene Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 11 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwendete wiederverwendbare gewerbliche Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 6 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertete Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 15 Abs. 3 und Abs. 4 sowie Anhang 3, Punkt 2, Z5 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte Haushalts-Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 2 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertung der von SuVS zur Verwertung übergebenen Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 11 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Als Abfall angefallene nicht lizenzierte wiederverwendbare gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 7 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Von SuVS-Teilnehmern im Kalenderjahr in Verkehr gesetzte oder zum Eigengebrauch importierte gewerbliche Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 2 sowie § 9 Abs. 6 Z 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Eigenimportierte Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z1 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Erstmals in Verkehr gesetzte wiederverwendbare Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z2 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Massen der von SuVS-Teilnehmern in Verkehr gesetzten Einwegkunststoffprodukte</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 21a Abs. 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Anzahl der von SuVS-Teilnehmern in Verkehr gesetzten vollständig aus Kunststoff bestehenden Getränkebecher und Lebensmittelverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Anhang II Durchführungsbeschluss (EU) 2022/162</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Anzahl der von SuVS-Teilnehmern in Verkehr gesetzten teilweise aus Kunststoff bestehenden Getränkebecher und Lebensmittelverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Anhang II Durchführungsbeschluss (EU) 2022/162</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Zur Verwertung übergebene nicht lizenzierte als Abfall angefallene wiederverwendbare gewerbliche Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 7 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwendete wiederverwendbare Verkaufsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 6 Abs. 3 sowie Anhang 3, Punkt 4, Z4 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verwertete Verpackungsmaterialien aus zur Verwertung übergebenen nicht lizenzierten als Abfall angefallenen wiederverwendbaren gewerblichen Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 7 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Angefallene Verpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 17 Abs. 1 sowie Anhang 3, Punkt 3, Z3 Verpackungsverordnung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">MKT_SHR.MNTH.dPG.aPLC_MKT.tCM.cSTRCT02</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Marktanteile der SuVS für gewerbliche Verpackungen je Sammelkategorie für ein Kalendermonat</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 29d Abs. 4 AWG</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Erstmals durch SuVS-Teilnehmer im Kalenderjahr in Verkehr gesetzte wiederverwendbare Haushaltsverpackungen</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">§ 22 Abs. 4 Z 3 Verpackungsverordnung</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l8261">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT18</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für einen Eintrag aus "Packstoff und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT06</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SingleUsePlasticProductTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Art von Einwegkunststoffprodukt</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Verwertungsart</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT01</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MarketSharePercentage</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Marktanteil für eine Haushaltstarifkategorie des angegebenen SuVS</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT18</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">ExtendedMaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Eintrag aus "Packstoffe und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Verwerters</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT01</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">HouseholdCollectionCategoryID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Haushaltstarifkategorie </xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT07</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SingleUsePlasticBottleTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Art von Einwegkunststoff-Getränkeflasche</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT02</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SystemPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Sammel- und Vewertungssystem (SuVS)</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT15</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SingleUsePlasticPackagingTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Arten von Einwegkunststoff-Verpackung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für eine Haushaltstarifkategorie </xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">ExtendedMaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Eintrag aus "Packstoffe und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Marktanteil für eine gewerbliche Tarifkategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Verwerters</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">ExtendedMaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Eintrag aus "Packstoffe und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT05</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Count</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Anzahl von Kunststofftragetaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteLocalReferenceID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Bezug auf Name und Adresse des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MaterialTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Eintrag aus "Packstoffe"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT06</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für eine Art von Einwegkunststoffprodukten</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT18</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">LoopCount</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Anzahl der Umläufe für einen Eintrag aus "Packstoff und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Verwerters</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT07</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für eine Art von Einwegkunststoff-Getränkeflaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT01</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SystemPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Sammel- und Vewertungssystem (SuVS)</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT02</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MarketSharePercentage</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Marktanteil für eine gewerbliche Tarifkategorie des angegebenen SuVS</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT15</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für eine Art von Einwegkunststoff-Verpackung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT02</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">CommercialCollectionCategoryID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">gewerbliche Tarifkategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für einen Eintrag aus "Packstoff und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT03</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">HouseholdTariffCategoryID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Haushaltstarifkategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoveryPartyID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Verwerters</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT12</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für einen Eintrag aus "Packstoff und Verbundverpackungen"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT04</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">CommercialTariffCategoryID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">gewerbliche Tarifkategorie</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT14</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">MassValue</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Masse für einen Eintrag auf "Packstoffe"</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT16</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">RecoverySiteID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Identifikation des Verwertungsstandorts</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT05</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">PlasticCarrierBagTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Art von Kunststofftragetaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT19</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Count</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Anzahl von Getränkebechern bzw. Lebensmittelverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">STRCT19</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">SingleUsePlasticProductTypeID</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val2">Art von Einwegkunststoffprodukt</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="lcat">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101414</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Papier, Karton, Pappe und Wellpappe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101421</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Glas</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101438</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Holz</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101445</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Keramik</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101452</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Metalle</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101469</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Textile Faserstoffe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101476</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101483</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Verbundverpackungen, ausgenommen Getränkeverbundkarton</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101490</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sonstige Packstoffe auf biologischer Basis</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390101810</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkeverbundkarton</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106846</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Eisenmetalle</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106853</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Aluminium</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106860</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Leichtverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390132739</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Leichtverpackungen und Metalle</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106877</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Folien, Umreifungsbänder und Klebebänder</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106884</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Hohlkörper</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106891</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">EPS (Aufgeschäumtes bzw. Expandiertes Polystyrol)</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390106907</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Biogene Packstoffe</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124901</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sehr leichte Kunststofftragetaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124918</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffe Folien</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124925</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Kunststoffe Hohlkörper</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124932</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sonstige Verpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124949</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebecher</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124956</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Lebensmittelverpackungen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124963</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Säckchen und Folienverpackungen (Wrappers) aus flexiblem Material</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124970</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebehälter - PET-Getränkeflaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124987</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebehälter - Sonstige Getränkeflaschen</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390124994</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebehälter - Sonstige Getränkebehälter</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125007</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Feuchttücher</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125014</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Luftballons</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125021</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Tabakprodukte</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125038</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Fanggeräte</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125137</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebecher - vollständig aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125144</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Getränkebecher - teilweise aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125151</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Lebensmittelverpackungen - vollständig aus Kunststoff</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125168</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Lebensmittelverpackungen - teilweise aus Kunststoff</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:param name="l4399">
		<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="data">
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125052</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Thermische Verwertung</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125045</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Recycling</xsl:element>
			</xsl:element>
			<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="row">
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val0">9008390125069</xsl:element>
				<xsl:element namespace="http://purl.oclc.org/dsdl/schematron" name="val1">Sonstige Verwertung</xsl:element>
			</xsl:element>
		</xsl:element>
	</xsl:param>
	<xsl:template match="/">
		<xsl:variable name="metadata" as="element()?">
			<svrl:metadata xmlns:dct="http://purl.org/dc/terms/" xmlns:skos="http://www.w3.org/2004/02/skos/core#" xmlns:svrl="http://purl.oclc.org/dsdl/svrl">
				<dct:created>
					<xsl:value-of select="current-dateTime()"/>
				</dct:created>
				<dct:source>
					<rdf:Description xmlns:dc="http://purl.org/dc/elements/1.1/">
						<dct:created>2025-02-05T10:15:04.6431031+01:00</dct:created>
					</rdf:Description>
				</dct:source>
			</svrl:metadata>
		</xsl:variable>
		<xsl:variable name="report" as="element(schxslt:report)">
			<schxslt:report>
				<xsl:call-template name="d20e2084"/>
			</schxslt:report>
		</xsl:variable>
		<xsl:variable name="schxslt:report" as="node()*">
			<xsl:for-each select="$report/schxslt:pattern">
				<xsl:sequence select="$report/schxslt:rule[@pattern = current()/@id]/node()[(local-name() eq 'successful-report') or (local-name() eq 'failed-assert')]"/>
			</xsl:for-each>
		</xsl:variable>
		<xsl:variable name="schxslt:report_fin" as="node()*">
			<xsl:for-each-group xmlns:svrl="http://purl.oclc.org/dsdl/svrl" select="$schxslt:report" group-by="concat(local-name(), '|', string(svrl:text), '|', string-join(@*[(local-name() ne 'test') and (local-name() ne 'location')],'|'), '|', string-join(svrl:property-reference/svrl:text,'|'))">
				<xsl:copy-of select="."/>
			</xsl:for-each-group>
		</xsl:variable>
		<svrl:schematron-output xmlns:svrl="http://purl.oclc.org/dsdl/svrl">
			<svrl:ns-prefix-in-attribute-values prefix="pkm" uri="http://www.umweltbundesamt.at/schema/pack3_message"/>
			<svrl:ns-prefix-in-attribute-values prefix="f" uri="http://f.net/"/>
			<svrl:ns-prefix-in-attribute-values prefix="xsi" uri="http://www.w3.org/2001/XMLSchema-instance"/>
			<svrl:active-pattern/>
			<xsl:sequence select="$schxslt:report_fin"/>
		</svrl:schematron-output>
	</xsl:template>
	<xsl:template match="text() | @*" mode="#all" priority="-10"/>
	<xsl:template match="*" mode="#all" priority="-10">
		<xsl:apply-templates mode="#current" select="@*"/>
		<xsl:apply-templates mode="#current" select="node()"/>
	</xsl:template>
	<xsl:template name="d20e2084">
		<schxslt:pattern id="d20e2084"/>
		<schxslt:pattern id="d20e2106"/>
		<schxslt:pattern id="d20e2128"/>
		<schxslt:pattern id="d20e2150"/>
		<schxslt:pattern id="d20e2172"/>
		<schxslt:pattern id="d20e2195"/>
		<schxslt:pattern id="d20e2217"/>
		<schxslt:pattern id="d20e2230"/>
		<schxslt:pattern id="d20e2245"/>
		<schxslt:pattern id="d20e2260"/>
		<schxslt:pattern id="d20e2277"/>
		<schxslt:pattern id="d20e2295"/>
		<schxslt:pattern id="d20e2312"/>
		<schxslt:pattern id="d20e2329"/>
		<schxslt:pattern id="d20e2351"/>
		<schxslt:pattern id="d20e2373"/>
		<schxslt:pattern id="d20e2386"/>
		<schxslt:pattern id="d20e2406"/>
		<schxslt:pattern id="d20e2425"/>
		<schxslt:pattern id="d20e2444"/>
		<schxslt:pattern id="d20e2463"/>
		<schxslt:pattern id="d20e2482"/>
		<schxslt:pattern id="d20e2501"/>
		<schxslt:pattern id="d20e2521"/>
		<schxslt:pattern id="d20e2540"/>
		<schxslt:pattern id="d20e2559"/>
		<schxslt:pattern id="d20e2578"/>
		<schxslt:pattern id="d20e2597"/>
		<schxslt:pattern id="d20e2616"/>
		<schxslt:pattern id="d20e2636"/>
		<schxslt:pattern id="d20e2655"/>
		<schxslt:pattern id="d20e2674"/>
		<schxslt:pattern id="d20e2693"/>
		<schxslt:pattern id="d20e2712"/>
		<schxslt:pattern id="d20e2731"/>
		<schxslt:pattern id="d20e2751"/>
		<schxslt:pattern id="d20e2770"/>
		<schxslt:pattern id="d20e2789"/>
		<schxslt:pattern id="d20e2808"/>
		<schxslt:pattern id="d20e2827"/>
		<schxslt:pattern id="d20e2846"/>
		<schxslt:pattern id="d20e2866"/>
		<schxslt:pattern id="d20e2885"/>
		<schxslt:pattern id="d20e2904"/>
		<schxslt:pattern id="d20e2923"/>
		<schxslt:pattern id="d20e2942"/>
		<schxslt:pattern id="d20e2961"/>
		<schxslt:pattern id="d20e2981"/>
		<schxslt:pattern id="d20e3000"/>
		<schxslt:pattern id="d20e3019"/>
		<schxslt:pattern id="d20e3038"/>
		<schxslt:pattern id="d20e3057"/>
		<schxslt:pattern id="d20e3076"/>
		<schxslt:pattern id="d20e3096"/>
		<schxslt:pattern id="d20e3115"/>
		<schxslt:pattern id="d20e3134"/>
		<schxslt:pattern id="d20e3153"/>
		<schxslt:pattern id="d20e3172"/>
		<schxslt:pattern id="d20e3191"/>
		<schxslt:pattern id="d20e3211"/>
		<schxslt:pattern id="d20e3230"/>
		<schxslt:pattern id="d20e3249"/>
		<schxslt:pattern id="d20e3268"/>
		<schxslt:pattern id="d20e3287"/>
		<schxslt:pattern id="d20e3306"/>
		<schxslt:pattern id="d20e3326"/>
		<schxslt:pattern id="d20e3345"/>
		<schxslt:pattern id="d20e3364"/>
		<schxslt:pattern id="d20e3383"/>
		<schxslt:pattern id="d20e3402"/>
		<schxslt:pattern id="d20e3421"/>
		<schxslt:pattern id="d20e3439"/>
		<schxslt:pattern id="d20e3454"/>
		<schxslt:pattern id="d20e3471"/>
		<schxslt:pattern id="d20e3488"/>
		<schxslt:pattern id="d20e3505"/>
		<schxslt:pattern id="d20e3522"/>
		<schxslt:pattern id="d20e3540"/>
		<schxslt:pattern id="d20e3557"/>
		<schxslt:pattern id="d20e3574"/>
		<schxslt:pattern id="d20e3591"/>
		<schxslt:pattern id="d20e3608"/>
		<schxslt:pattern id="d20e3625"/>
		<schxslt:pattern id="d20e3643"/>
		<schxslt:pattern id="d20e3660"/>
		<schxslt:pattern id="d20e3680"/>
		<schxslt:pattern id="d20e3695"/>
		<schxslt:pattern id="d20e3714"/>
		<schxslt:pattern id="d20e3729"/>
		<schxslt:pattern id="d20e3745"/>
		<schxslt:pattern id="d20e3758"/>
		<schxslt:pattern id="d20e3771"/>
		<schxslt:pattern id="d20e3786"/>
		<schxslt:pattern id="d20e3803"/>
		<schxslt:pattern id="d20e3820"/>
		<schxslt:pattern id="d20e3840"/>
		<schxslt:pattern id="d20e3857"/>
		<schxslt:pattern id="d20e3879"/>
		<schxslt:pattern id="d20e3896"/>
		<schxslt:pattern id="d20e3913"/>
		<schxslt:pattern id="d20e3930"/>
		<schxslt:pattern id="d20e3948"/>
		<schxslt:pattern id="d20e3963"/>
		<schxslt:pattern id="d20e3982"/>
		<schxslt:pattern id="d20e3997"/>
		<schxslt:pattern id="d20e4025"/>
		<schxslt:pattern id="d20e4042"/>
		<schxslt:pattern id="d20e4069"/>
		<schxslt:pattern id="d20e4088"/>
		<schxslt:pattern id="d20e4105"/>
		<schxslt:pattern id="d20e4122"/>
		<schxslt:pattern id="d20e4139"/>
		<schxslt:pattern id="d20e4156"/>
		<schxslt:pattern id="d20e4174"/>
		<schxslt:pattern id="d20e4191"/>
		<schxslt:pattern id="d20e4208"/>
		<schxslt:pattern id="d20e4225"/>
		<schxslt:pattern id="d20e4242"/>
		<schxslt:pattern id="d20e4259"/>
		<schxslt:pattern id="d20e4277"/>
		<schxslt:pattern id="d20e4294"/>
		<schxslt:pattern id="d20e4311"/>
		<schxslt:pattern id="d20e4328"/>
		<schxslt:pattern id="d20e4345"/>
		<schxslt:pattern id="d20e4360"/>
		<schxslt:pattern id="d20e4380"/>
		<schxslt:pattern id="d20e4397"/>
		<schxslt:pattern id="d20e4412"/>
		<schxslt:pattern id="d20e4434"/>
		<schxslt:pattern id="d20e4456"/>
		<schxslt:pattern id="d20e4478"/>
		<schxslt:pattern id="d20e4505"/>
		<schxslt:pattern id="d20e4520"/>
		<schxslt:pattern id="d20e4542"/>
		<schxslt:pattern id="d20e4557"/>
		<schxslt:pattern id="d20e4568"/>
		<schxslt:pattern id="d20e4587"/>
		<schxslt:pattern id="d20e4607"/>
		<schxslt:pattern id="d20e4622"/>
		<schxslt:pattern id="d20e4637"/>
		<schxslt:pattern id="d20e4650"/>
		<schxslt:pattern id="d20e4665"/>
		<schxslt:pattern id="d20e4687"/>
		<schxslt:pattern id="d20e4707"/>
		<schxslt:pattern id="d20e4726"/>
		<schxslt:pattern id="d20e4737"/>
		<schxslt:pattern id="d20e4756"/>
		<schxslt:pattern id="d20e4775"/>
		<schxslt:pattern id="d20e4790"/>
		<schxslt:pattern id="d20e4823"/>
		<schxslt:pattern id="d20e4855"/>
		<schxslt:pattern id="d20e4878"/>
		<schxslt:pattern id="d20e4901"/>
		<schxslt:pattern id="d20e4918"/>
		<schxslt:pattern id="d20e4935"/>
		<schxslt:pattern id="d20e4964"/>
		<schxslt:pattern id="d20e4992"/>
		<schxslt:pattern id="d20e5005"/>
		<schxslt:pattern id="d20e5022"/>
		<schxslt:pattern id="d20e5039"/>
		<xsl:apply-templates mode="d20e2084" select="/"/>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']/pkm:Event/pkm:MassValue" priority="159" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2084">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2084']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R105 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R105_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03')"/> zur selben Tarifkategorie die <xsl:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2084')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']/pkm:Event/pkm:MassValue" priority="158" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2106">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2106']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R105 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R105_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04')"/> zur selben Tarifkategorie die <xsl:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2106')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" priority="157" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2128">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2128']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R105 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R105_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03')"/> zur selben Tarifkategorie die <xsl:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2128')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" priority="156" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2150">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2150']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R105 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R105_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03')"/> zur selben Tarifkategorie die <xsl:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2150')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" priority="155" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2172">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2172']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R105 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R105_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04')"/> zur selben Tarifkategorie die <xsl:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2172')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" priority="154" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2195">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2195']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R105 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R105_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) eq 1) and (xs:decimal(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]/pkm:MassValue) lt xs:decimal(current()))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04')"/> zur selben Tarifkategorie die <xsl:value-of select="f:describeEventElemMassValue(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))],'','',true())"/>, also zu Verkaufsverpackungen für die Tarifkategorie eine Massen-Angabe die größer ist als die Masse aller Verpackungen. Da die Masse von in Verkehr gesetzten Verpackungen die Masse von in Verkehr gesetzten Verkaufsverpackungen mit umfasst, unterstützt das Datenformat nur solche Verkaufsverpackungs-Massen-Angaben, die NICHT größer sind als die zugehörigen Verpackungs-Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2195')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodStartDate" priority="153" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2217">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2217']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R106 for context "pkm:ReportUserMessage/pkm:ReportPeriodStartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(../pkm:MessageTypeID eq 'PLC_MKT.MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]') lt '2022-11')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R106_chkcon">
							<xsl:attribute name="test">(../pkm:MessageTypeID eq 'PLC_MKT.MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]') lt '2022-11')</xsl:attribute>
							<svrl:text>
								<xsl:value-of select="f:valNodeName(current())"/> kann die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> nicht entgegennehmen, da das EDM eVerpackung 3.0 Webservice solche Übermittlungen nur für den Berichtszeitraum November 2022 oder später unterstützt. Für frühere Berichtszeiträume ist die Verwendung des EDM eVerpackung 2.0 Vorgänger-Webservice erforderlich.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2217')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodEndDate" priority="152" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2230">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2230']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R112 for context "pkm:ReportUserMessage/pkm:ReportPeriodEndDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]') ne format-date(xs:date(.), '[Y]-[M,2]'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R112_chkcon">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]') ne format-date(xs:date(.), '[Y]-[M,2]'))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]-[D,2]')"/>« und das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(.), '[Y]-[M,2]-[D,2]')"/>«. Für Monats-Übermittlungen unterstützt das Datenformat nur solche Berichtszeiträume, bei welchen Beginndatum und Enddatum innerhalb desselben Kalendermonats liegen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2230')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Site" priority="151" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2245">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2245']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R123 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Site" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="pkm:AddressCountryID eq '040'">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R123_chkcon">
							<xsl:attribute name="test">pkm:AddressCountryID eq '040'</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Name und Adresse des Verwertungsstandorts <xsl:value-of select="f:resolveLocalSiteRefString(../.., pkm:LocalAssignmentID)"/>. Die Standortadresse liegt in Österreich. In Österreich gelegene Verwertungsstandorte sollen nach Möglichkeit in Übermittlungen NICHT per Name und Adresse benannt werden, sondern per Standort-GLN aus <xsl:value-of select="f:valNodeName(current())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2245')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:Name))]" priority="150" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2260">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2260']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R129 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:Name))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwertungsstandort: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die BEZEICHNUNG des Abfallverwertungsstandorts'"/> (Datenelement »<xsl:value-of select="'Name'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2260')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCountryID))]" priority="149" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2277">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2277']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R129 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCountryID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwertungsstandort: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die Identifikation des LANDES, in welchem sich der Standort befindet'"/> (Datenelement »<xsl:value-of select="'AddressCountryID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2277')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:AddressPostalAreaID))]" priority="148" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2295">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2295']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R129 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:AddressPostalAreaID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwertungsstandort: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die POSTLEITZAHL des Standorts'"/> (Datenelement »<xsl:value-of select="'AddressPostalAreaID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2295')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCityName))]" priority="147" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2312">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2312']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R129 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site[not(exists(pkm:AddressCityName))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R129_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwertungsstandort: <xsl:value-of select="f:describeSite(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die Bezeichnung des ORTS, z.B. Stadt, an dem sich der Standort befindet'"/> (Datenelement »<xsl:value-of select="'AddressCityName'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2312')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.dPG') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tHH')]/pkm:Event/pkm:HouseholdTariffCategoryID" priority="146" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2329">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2329']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R134 for context "pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.dPG') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tHH')]/pkm:Event/pkm:HouseholdTariffCategoryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:HouseholdTariffCategoryID[. eq (current()/text())]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R134_chkcon">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:HouseholdTariffCategoryID[. eq (current()/text())]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="f:resolveGTINString($lcat,current(),'Tarifkategorie ')"/>. Diese Tarifkategorie gehört NICHT zu einer Sammelkategorie, die in <xsl:value-of select="f:valNodeName(current())"/> zum übermittelnden Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als GENEHMIGTE Sammelkategorie eingetragen ist. Bei Übermittlungen an die Behörde, welche für die Berechnung von Marktanteilen relevant sind, dürfen Inverkehrsetzungs-Informationen nur für solche Tarifkategorien Angaben enthalten, die zu in <xsl:value-of select="f:valNodeName(current())"/> eingetragenen GENEHMIGTEN Sammelkategorien gehören.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2329')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.dPG') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tCM')]/pkm:Event/pkm:CommercialTariffCategoryID" priority="145" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2351">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2351']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R134 for context "pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.dPG') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tCM')]/pkm:Event/pkm:CommercialTariffCategoryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:CommercialTariffCategoryID[. eq (current()/text())]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R134_chkcon">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:CommercialTariffCategoryID[. eq (current()/text())]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="f:resolveGTINString($lcat,current(),'Tarifkategorie ')"/>. Diese Tarifkategorie gehört NICHT zu einer Sammelkategorie, die in <xsl:value-of select="f:valNodeName(current())"/> zum übermittelnden Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als GENEHMIGTE Sammelkategorie eingetragen ist. Bei Übermittlungen an die Behörde, welche für die Berechnung von Marktanteilen relevant sind, dürfen Inverkehrsetzungs-Informationen nur für solche Tarifkategorien Angaben enthalten, die zu in <xsl:value-of select="f:valNodeName(current())"/> eingetragenen GENEHMIGTEN Sammelkategorien gehören.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2351')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[exists(pkm:Event) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq false())]" priority="144" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2373">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2373']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R162 for context "pkm:ReportUserMessage/pkm:MessagePart[exists(pkm:Event) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq false())]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R162_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT in jenem Teil, der sich auf Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, Massen- bzw. Anzahl-Angaben (Datenelement »Event«) in Kombination mit der Information, dass für Berichtszeitraum und Inhaltstyp KEINE zu berichtenden Aktivitäten VORLIEGEN (»ReportingObligationActivityIndicator« auf Wert »false«). Das Datenformat unterstützt ausschließlich Übermittlungen, bei welchen eine ÜBEREINSTIMMUNG (Konsistenz) zwischen Folgendem besteht: (a) Information, ob zu berichtende Aktivitäten vorliegen bzw. nicht vorliegen, und (b) dem Enthaltensein bzw. Nicht-Enthaltensein von Masse-/Anzahl-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2373')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04', 1, 12)]" priority="143" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2386">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2386']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tCM.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2386')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03', 1, 12)]" priority="142" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2406">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2406']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('PLC_MKT.MNTH.dPG.aPLC_MKT.tHH.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2406')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04', 1, 12)]" priority="141" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2425">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2425']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2425')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04', 1, 12)]" priority="140" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2444">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2444']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2444')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03', 1, 12)]" priority="139" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2463">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2463']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2463')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03', 1, 12)]" priority="138" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2482">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2482']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2482')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 12)]" priority="137" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2501">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2501']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2501')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12', 1, 12)]" priority="136" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2521">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2521']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2521')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 12)]" priority="135" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2540">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2540']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2540')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 1, 12)]" priority="134" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2559">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2559']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2559')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12', 1, 12)]" priority="133" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2578">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2578']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aIMP_MKT.tCM.sSP.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2578')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 1, 12)]" priority="132" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2597">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2597']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_IMP.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2597')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12', 1, 12)]" priority="131" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2616">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2616']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2616')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 12)]" priority="130" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2636">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2636']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2636')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 12)]" priority="129" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2655">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2655']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2655')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 1, 12)]" priority="128" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2674">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2674']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2674')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12', 1, 12)]" priority="127" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2693">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2693']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aDELIVER.tCM.sSP.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2693')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 1, 12)]" priority="126" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2712">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2712']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_MWG.YEAR.dPG.aWST_GEN.tCM.sSP.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2712')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 12)]" priority="125" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2731">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2731']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2731')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 12)]" priority="124" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2751">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2751']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2751')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04', 1, 12)]" priority="123" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2770">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2770']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tCM.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2770')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 1, 12)]" priority="122" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2789">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2789']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2789')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04', 1, 12)]" priority="121" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2808">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2808']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2808')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 1, 12)]" priority="120" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2827">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2827']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2827')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04', 1, 12)]" priority="119" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2846">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2846']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2846')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 1, 12)]" priority="118" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2866">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2866']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2866')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04', 1, 12)]" priority="117" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2885">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2885']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2885')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04', 1, 12)]" priority="116" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2904">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2904']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2904')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05', 1, 12)]" priority="115" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2923">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2923']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT05', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2923')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03', 1, 12)]" priority="114" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2942">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2942']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aCLN_CLT.tHH.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2942')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16', 1, 12)]" priority="113" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2961">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2961']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2961')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03', 1, 12)]" priority="112" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e2981">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e2981']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e2981')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03', 1, 12)]" priority="111" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3000">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3000']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aMUN_CLT.tHH.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3000')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 1, 12)]" priority="110" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3019">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3019']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3019')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03', 1, 12)]" priority="109" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3038">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3038']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aSEP_CLT.tHH.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3038')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06', 1, 12)]" priority="108" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3057">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3057']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3057')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19', 1, 12)]" priority="107" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3076">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3076']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3076')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19', 1, 12)]" priority="106" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3096">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3096']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3096')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07', 1, 12)]" priority="105" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3115">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3115']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aRECOVER.tHH.cSTRCT07', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3115')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16', 1, 12)]" priority="104" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3134">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3134']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aHND_RCV.tHH.rRE.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3134')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03', 1, 12)]" priority="103" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3153">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3153']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3153')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14', 1, 12)]" priority="102" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3172">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3172']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aRECOVER.tHH.rRE.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3172')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03', 1, 12)]" priority="101" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3191">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3191']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3191')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12', 1, 12)]" priority="100" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3211">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3211']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aWST_GEN.tHH.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3211')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03', 1, 12)]" priority="99" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3230">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3230']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3230')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03', 1, 12)]" priority="98" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3249">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3249']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3249')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15', 1, 12)]" priority="97" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3268">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3268']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_OTH.YEAR.dPR.aCLN_CLT.tHH.cSTRCT15', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3268')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 1, 12)]" priority="96" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3287">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3287']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aHND_RCV.tCM.rRE.cSTRCT16', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3287')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12', 1, 12)]" priority="95" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3306">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3306']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3306')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 1, 12)]" priority="94" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3326">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3326']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aRECOVER.tCM.rRE.cSTRCT14', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3326')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12', 1, 12)]" priority="93" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3345">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3345']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3345')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 1, 12)]" priority="92" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3364">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3364']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aWST_GEN.tCM.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3364')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12', 1, 12)]" priority="91" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3383">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3383']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3383')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12', 1, 12)]" priority="90" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3402">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3402']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R188 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12', 1, 12)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12']) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R188_prvcnd">
							<xsl:attribute name="test">(count(pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12', 28, 2)]) gt 0) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12']) eq 0)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLEN Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12')"/>. Das Datenformat erfordert solche Inhalte<xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12', 1, 7) eq 'PLC_MKT') then (' ') else (' - ggf. mit Leermeldungsdeklaration im Datenelement »ReportingObligationActivityIndicator« - ')"/> für alle <xsl:value-of select="f:resolveMessageTypeID($l8686,pkm:MessageTypeID)"/> Übermittlungen mit Angaben zu <xsl:value-of select="if (substring('RPT_RPK.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT12', 28, 2) eq 'HH') then 'Haushaltsverpackungen' else 'gewerblichen Verpackungen'"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3402')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:CommercialTariffCategoryID[(. eq '9008390101421') or (. eq '9008390101810')]" priority="89" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3421">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3421']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R192 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:CommercialTariffCategoryID[(. eq '9008390101421') or (. eq '9008390101810')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(xs:string(../../../pkm:ReportPeriodStartDate) eq '2022-01-01')">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R192_chkcon">
							<xsl:attribute name="test">xs:string(../../../pkm:ReportPeriodStartDate) eq '2022-01-01'</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat)"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','.CommercialTariffCategoryID.',$lcat,$l4399))"/>. Das Datenformat unterstützt die gewerblichen Tarifkategorien Glas (GTIN 9008390101421) und Getränkeverbundkartons (GTIN 9008390101810) jedoch nur in Übermittlungen für das Berichtsjahr 2022.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3421')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData/pkm:Party" priority="88" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3439">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3439']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R202 for context "pkm:ReportUserMessage/pkm:ListedData/pkm:Party" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="pkm:RegisteredOfficeAddressCountryID eq '040'">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R202_chkcon">
							<xsl:attribute name="test">pkm:RegisteredOfficeAddressCountryID eq '040'</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Name und Adresse des Verwerters <xsl:value-of select="f:resolveLocalPartyRefString(../.., pkm:LocalAssignmentID)"/>. Die Sitzadresse liegt in Österreich. Verwerter mit Sitz in Österreich sollen nach Möglichkeit in Übermittlungen NICHT per Name und Adresse benannt werden, sondern per in <xsl:value-of select="f:valNodeName(current())"/> eingetragener GLN der öffentlichen Verwaltung oder EDM-GLN.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3439')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']/pkm:Event/pkm:MassValue" priority="87" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3454">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3454']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3454')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']/pkm:Event/pkm:MassValue" priority="86" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3471">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3471']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3471')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" priority="85" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3488">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3488']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3488')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" priority="84" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3505">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3505']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3505')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" priority="83" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3522">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3522']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3522')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" priority="82" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3540">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3540']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3540')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event/pkm:MassValue" priority="81" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3557">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3557']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tHH.sSP.cSTRCT03')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3557')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event/pkm:MassValue" priority="80" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3574">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3574']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'PLC_MKT.YEAR.dPG.aPLC_MKT.tCM.sSP.cSTRCT04')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3574')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" priority="79" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3591">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3591']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tHH.sSP.rRE.cSTRCT03')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3591')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" priority="78" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3608">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3608']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.rRE.cSTRCT03']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tHH.sSP.rRE.cSTRCT03')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3608')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" priority="77" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3625">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3625']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aPLC_MKT.tCM.sSP.rRE.cSTRCT04')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3625')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" priority="76" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3643">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3643']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R237 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.rRE.cSTRCT04']/pkm:Event/pkm:MassValue" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R237_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04']/pkm:Event[(exists(pkm:HouseholdTariffCategoryID) and (pkm:HouseholdTariffCategoryID eq current()/../pkm:HouseholdTariffCategoryID)) or (exists(pkm:CommercialTariffCategoryID) and (pkm:CommercialTariffCategoryID eq current()/../pkm:CommercialTariffCategoryID))]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="if (exists(../pkm:HouseholdTariffCategoryID)) then (f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)) else (f:describeEventElemCommercialTariffCategoryID(..,'','',true(),$lcat))"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.a_RE_USE.tCM.sSP.rRE.cSTRCT04')"/> zu dieser Tarifkategorie. Das Datenformat unterstützt nur solche Übermittlungen, die in Bezug auf Verkaufsverpackungen Angaben zu exakt denselben Tarifkategorien enthalten wie in Bezug auf Verpackungen insgesamt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3643')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodEndDate" priority="75" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3660">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3660']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule C248 for context "pkm:ReportUserMessage/pkm:ReportPeriodEndDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') ne format-date(xs:date(.), '[Y]'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R248_chkcon">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') ne format-date(xs:date(.), '[Y]'))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]-[M,2]-[D,2]')"/>« und das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(.), '[Y]-[M,2]-[D,2]')"/>«. Für Jahres-Übermittlungen unterstützt das Datenformat nur solche Berichtszeiträume, bei welchen Beginndatum und Enddatum innerhalb desselben Kalenderjahres liegen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
					<xsl:if test="(format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') eq format-date(xs:date(.), '[Y]')) and exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and ((year-from-dateTime(xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp))-year-from-date(xs:date(.))) gt 3)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R693_chkcon">
							<xsl:attribute name="test">(format-date(xs:date(../pkm:ReportPeriodStartDate), '[Y]') eq format-date(xs:date(.), '[Y]')) and exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and ((year-from-dateTime(xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp))-year-from-date(xs:date(.))) gt 3)</xsl:attribute>
							<svrl:text>Für die Übermittlung liegt der Berichtszeitraum mehr als 3 Jahre in der Vergangenheit, konkret im Jahr <xsl:value-of select="format-date(xs:date(.), '[Y]')"/>. Die Schnittstelle unterstützt Übermittlungen nur für solche Berichtszeiträume, die höchstens 3 Jahre zurückliegen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3660')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']" priority="74" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3680">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3680']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R272 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(../pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) ge xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-04-11'))) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) le xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R272_chkcon">
							<xsl:attribute name="test">exists(../pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) ge xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-04-11'))) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) le xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> soll spätestens bis zum 10. April <xsl:value-of select="year-from-date(xs:date(pkm:ReportPeriodEndDate))+1"/> erfolgen. Verletzt für die Übermittlung zum Datum <xsl:value-of select="f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H'))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3680')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="73" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3695">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3695']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R273 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(f:precedingSameTypeEvent(.)) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R273_uqstrc">
							<xsl:attribute name="test">count(f:precedingSameTypeEvent(.)) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/> und <xsl:value-of select="f:describeEvent(.,'','.MassValue.Count.',$lcat,$l4399)"/> ZWEI ODER MEHR Angaben. Bei der ersten Angabe handelt es sich um <xsl:value-of select="f:describeEvent((f:precedingSameTypeEvent(.))[1],'.MassValue.Count.','',$lcat,$l4399)"/>, bei der zweiten um <xsl:value-of select="f:describeEvent(.,'.MassValue.Count.','',$lcat,$l4399)"/>. Das Datenformat unterstützt hier HÖCHSTENS EINE Angabe.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3695')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodStartDate" priority="72" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3714">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3714']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R298 for context "pkm:ReportUserMessage/pkm:ReportPeriodStartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-01-01'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R298_chkcon">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-01-01'))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Jahres-Übermittlungen unterstützt das Datenformat nur den 1. Jänner eines Jahres, z.B. »<xsl:value-of select="format-date(xs:date(current()), '[Y]-01-01')"/>«, als Berichtszeitraum-Beginndatum.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3714')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[contains(pkm:ContentTypeID,'.p')]/pkm:Event/pkm:SingleUsePlasticProductTypeID[(. ne '9008390124949') and (. ne '9008390124956')]" priority="71" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3729">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3729']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R314 for context "pkm:ReportUserMessage/pkm:MessagePart[contains(pkm:ContentTypeID,'.p')]/pkm:Event/pkm:SingleUsePlasticProductTypeID[(. ne '9008390124949') and (. ne '9008390124956')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R314_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/>. Das Datenformat unterstützt für Inhalte dieser Art jedoch ausschließlich die Einwegkunststoffprodukt-Arten Getränkebecher (GTIN 9008390124949) und Lebensmittelverpackungen (GTIN 9008390124956).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3729')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodStartDate" priority="70" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3745">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3745']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R334 for context "pkm:ReportUserMessage/pkm:ReportPeriodStartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(../pkm:MessageTypeID,9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]') lt '2022')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R334_chkcon">
							<xsl:attribute name="test">(substring(../pkm:MessageTypeID,9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]') lt '2022')</xsl:attribute>
							<svrl:text>
								<xsl:value-of select="f:valNodeName(current())"/> kann die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> nicht entgegennehmen, da das EDM eVerpackung 3.0 Webservice solche Übermittlungen nur für das Berichtsjahr 2022 oder später unterstützt. Für frühere Berichtsjahre ist die Verwendung des EDM eVerpackung 2.0 Vorgänger-Webservice erforderlich.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3745')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart" priority="69" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3758">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3758']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R344 for context "pkm:ReportUserMessage/pkm:MessagePart" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(./preceding-sibling::pkm:MessagePart[pkm:ContentTypeID eq current()/pkm:ContentTypeID]) eq 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R344_uqstrc">
							<xsl:attribute name="test">count(./preceding-sibling::pkm:MessagePart[pkm:ContentTypeID eq current()/pkm:ContentTypeID]) eq 1</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT ZWEI ODER MEHR Teile mit Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>. Das Datenformat lässt jede Inhaltsart HÖCHSTENS in EINEM Teil zu.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3758')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/text()]))]" priority="68" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3771">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3771']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R372 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID[. eq current()/text()]))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R372_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT Name und Adresse des Verwerters <xsl:value-of select="f:resolveLocalPartyRefString(../../.., .)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf den Verwerter <xsl:value-of select="f:resolveLocalPartyRefString(../../.., .)"/>. Das Datenformat unterstützt die Angabe von Name und Adresse eines Verwerters nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf diesen Verwerter enthält.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3771')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19']/pkm:Event/pkm:Count" priority="67" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3786">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3786']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R374 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19']/pkm:Event/pkm:Count" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R374_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19')"/> zu dieser Art von Einwegkunststoffprodukten. Das Datenformat unterstützt in Bezug auf die Anzahl vollständig und teilweise aus Kunststoff bestehender Produkte nur solche Übermittlungen, die je Einwegkunststoffprodukt-Art BEIDE Angaben enthalten oder KEINE Angabe enthalten.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3786')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event/pkm:Count" priority="66" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3803">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3803']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R374 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event/pkm:Count" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R374_chkcon">
							<xsl:attribute name="test">(count(current()/../../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/>. In der Übermittlung FEHLEN allerdings Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19')"/> zu dieser Art von Einwegkunststoffprodukten. Das Datenformat unterstützt in Bezug auf die Anzahl vollständig und teilweise aus Kunststoff bestehender Produkte nur solche Übermittlungen, die je Einwegkunststoffprodukt-Art BEIDE Angaben enthalten oder KEINE Angabe enthalten.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3803')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID" priority="65" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3820">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3820']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R407 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:CommercialActivityIndicator) and (substring(., 28, 2) eq 'CM') and (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:CommercialActivityIndicator) eq false()) and not(exists(../preceding-sibling::pkm:MessagePart[(substring(pkm:ContentTypeID, 28, 2) eq 'CM')]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R407_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:CommercialActivityIndicator) and (substring(., 28, 2) eq 'CM') and (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:CommercialActivityIndicator) eq false()) and not(exists(../preceding-sibling::pkm:MessagePart[(substring(pkm:ContentTypeID, 28, 2) eq 'CM')]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,.)"/>, und somit Angaben zu gewerblichen Verpackungen. Die Übermittlung weist das Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Übermittlungs-Ersteller aus. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN Eintrag einer Unternehmenstätigkeit »Sammel- und Verwertungssystem für gewerbliche Verpackungen« für dieses Unternehmen. Bei Übermittlungen an die Behörde sind Angaben zu gewerblichen Verpackungen nur dann zulässig, wenn <xsl:value-of select="f:valNodeName(current())"/> eine solche Unternehmenstätigkeits-Eintragung enthält.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3820')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) lt 0.0]" priority="64" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3840">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3840']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R408 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:MassValue[xs:decimal(.) lt 0.0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R408_chkval">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399))"/>. Das Datenformat unterstützt nur nicht-negative Massen-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3840')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:ID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]" priority="63" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3857">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3857']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R464 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party/pkm:ID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:DescriptionPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R464_chkref">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu einem Verwerter die ID »<xsl:value-of select="current()/text()"/>« und die ID-Art »<xsl:value-of select="current()/@registerID"/>«<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeParty(..,'','.ID.',/pkm:MessageValidationContext))"/>. Die <xsl:value-of select="f:valNodeName(current())"/> Codeliste 7411 definiert alle Arten von Beteiligten-IDs, welche das eVerpackung 3.0 Webservice in Datenübermittlungen in Zusammenhang mit Angaben wie Name und Adresse unterstützt. Die Codeliste 7411 enthält KEINEN Eintrag zur Beteiligten-ID-Art »<xsl:value-of select="current()/@registerID"/>«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3857')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:Name))]" priority="62" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3879">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3879']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R467 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:Name))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwerter: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die BEZEICHNUNG des Abfallverwerters'"/> (Datenelement »<xsl:value-of select="'Name'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3879')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCountryID))]" priority="61" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3896">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3896']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R467 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCountryID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwerter: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die Identifikation des LANDES, in dem das Unternehmen seinen (Haupt-)Sitz hat'"/> (Datenelement »<xsl:value-of select="'RegisteredOfficeAddressCountryID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3896')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressPostalAreaID))]" priority="60" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3913">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3913']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R467 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressPostalAreaID))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwerter: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die POSTLEITZAHL vom (Haupt-)Sitz des Unternehmens'"/> (Datenelement »<xsl:value-of select="'RegisteredOfficeAddressPostalAreaID'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3913')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCityName))]" priority="59" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3930">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3930']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R467 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Party[not(exists(pkm:RegisteredOfficeAddressCityName))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R467_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die folgenden Angaben zu einem NICHT ausschließlich per interoperabler Identifikationszeichenkette identifizierten Abfallverwerter: <xsl:value-of select="f:describeParty(.,'','',/pkm:MessageValidationContext)"/>. Hierbei FEHLT <xsl:value-of select="'die Bezeichnung des ORTS, z.B. Stadt, an dem das Unternehmen seinen (Haupt-)Sitz hat'"/> (Datenelement »<xsl:value-of select="'RegisteredOfficeAddressCityName'"/>«).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3930')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03']/pkm:Event/pkm:HouseholdTariffCategoryID[(. ne '9008390101421') and (. ne '9008390106846') and (. ne '9008390106853')]" priority="58" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3948">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3948']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R484 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aINC_CLT.tHH.cSTRCT03']/pkm:Event/pkm:HouseholdTariffCategoryID[(. ne '9008390101421') and (. ne '9008390106846') and (. ne '9008390106853')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R484_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemHouseholdTariffCategoryID(..,'','',true(),$lcat)"/>. Das Datenformat unterstützt für Inhalte dieser Art jedoch ausschließlich die Tarifkategorien Glas (GTIN 9008390101421), Eisenmetalle (GTIN 9008390106846) und Aluminium (GTIN 9008390106853).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3948')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID" priority="57" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3963">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3963']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R491 for context "pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) and (xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) lt xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R491_chkref">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) and (xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate) lt xs:date(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält <xsl:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',../pkm:Name,'«')) else (concat('in den Sitzadress-Angaben zum Verwerter »',../pkm:Name,'«'))"/> die Identifikation des Landes (Nationalstaats) <xsl:value-of select="f:resolveCountryIDString(/pkm:MessageValidationContext,current()/text())"/>. In der <xsl:value-of select="f:valNodeName(current())"/> Codeliste 3862, welche die ISO 3166-1 Liste von Ländern abbildet, ist zu diesem Land als Existenz-Ende das Datum <xsl:value-of select="format-date(xs:date(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]/pkm:ValidityEndDate), '[Y]-[M,2]-[D,2]')"/> eingetragen. Gemäß dieser Daten hat das Land im Berichtszeitraum nicht mehr existiert.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3963')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/text()]))]" priority="56" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e3982">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3982']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R495 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:ListedData/pkm:Site/pkm:LocalAssignmentID[not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID[. eq current()/text()]))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R495_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT Name und Adresse des Verwertungsstandorts <xsl:value-of select="f:resolveLocalSiteRefString(../../.., .)"/>. Die Übermittlung enthält jedoch an keiner Stelle einen Bezug auf den Verwertungsstandort <xsl:value-of select="f:resolveLocalSiteRefString(../../.., .)"/>. Das Datenformat unterstützt die Angabe von Name und Adresse eines Verwertungsstandorts nur dann, wenn die Dateninstanz einen oder mehrere Bezüge auf diesen Verwertungsstandort enthält.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3982')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="55" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="val_node_ind_data_party_node" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
		<schxslt:rule pattern="d20e3997">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e3997']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R496 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod,'StartDate','EndDate')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R496_chkcon">
							<xsl:attribute name="test">exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod,'StartDate','EndDate')</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Unternehmens <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Allerdings handelt es sich laut den <xsl:value-of select="f:valNodeName(current())"/> Daten um ein Unternehmen, das im Berichtszeitraum stillgelegt ist (<xsl:value-of select="concat('stillgelegt seit ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate)) then (concat(', stillgelegt bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:BusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e3997')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[not(contains(pkm:ContentTypeID,'.p'))]/pkm:Event/pkm:Count[xs:decimal(.) eq 0]" priority="54" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4025">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4025']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R507 for context "pkm:ReportUserMessage/pkm:MessagePart[not(contains(pkm:ContentTypeID,'.p'))]/pkm:Event/pkm:Count[xs:decimal(.) eq 0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R507_chkval">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemCount(..,'','',true())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399))"/>. Das Datenformat unterstützt für Inhalte dieser Art die Anzahl 0 NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4025')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID" priority="53" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="val_node_ind_data_site_node" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]"/>
		<schxslt:rule pattern="d20e4042">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4042']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R512 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists($val_node_ind_data_site_node) and exists($val_node_ind_data_site_node/pkm:RecoverySiteIndicator) and (xs:boolean($val_node_ind_data_site_node[1]/pkm:RecoverySiteIndicator[1]) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R512_chkcon">
							<xsl:attribute name="test">exists($val_node_ind_data_site_node) and exists($val_node_ind_data_site_node/pkm:RecoverySiteIndicator) and (xs:boolean($val_node_ind_data_site_node[1]/pkm:RecoverySiteIndicator[1]) eq false())</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <xsl:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399))"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Standorts <xsl:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>. Allerdings handelt es sich laut den <xsl:value-of select="f:valNodeName(current())"/> Daten um einen Standort, an dem KEINE Abfallverwertung durchgeführt wird.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4042')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID" priority="52" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4069">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4069']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R525 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyLocalReferenceID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R525_chkref">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Party[pkm:LocalAssignmentID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwerters den Wert »<xsl:value-of select="current()/text()"/>«<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyLocalReferenceID.',$lcat,$l4399))"/>. Der Wert »<xsl:value-of select="current()/text()"/>« verweist innerhalb der übermittelten Daten NICHT auf Name und Adresse eines Unternehmens.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4069')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="51" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4088">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4088']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'MassValue')) and f:isRequiredEventElem('MassValue',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'MassValue')) and f:isRequiredEventElem('MassValue',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'MassValue','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4088')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="50" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4105">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4105']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'Count')) and f:isRequiredEventElem('Count',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'Count')) and f:isRequiredEventElem('Count',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'Count','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4105')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="49" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4122">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4122']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'HouseholdTariffCategoryID')) and f:isRequiredEventElem('HouseholdTariffCategoryID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'HouseholdTariffCategoryID')) and f:isRequiredEventElem('HouseholdTariffCategoryID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'HouseholdTariffCategoryID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4122')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="48" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4139">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4139']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'CommercialTariffCategoryID')) and f:isRequiredEventElem('CommercialTariffCategoryID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'CommercialTariffCategoryID')) and f:isRequiredEventElem('CommercialTariffCategoryID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'CommercialTariffCategoryID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4139')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="47" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4156">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4156']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'MaterialTypeID')) and f:isRequiredEventElem('MaterialTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'MaterialTypeID')) and f:isRequiredEventElem('MaterialTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'MaterialTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4156')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="46" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4174">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4174']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'ExtendedMaterialTypeID')) and f:isRequiredEventElem('ExtendedMaterialTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'ExtendedMaterialTypeID')) and f:isRequiredEventElem('ExtendedMaterialTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'ExtendedMaterialTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4174')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="45" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4191">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4191']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'PlasticCarrierBagTypeID')) and f:isRequiredEventElem('PlasticCarrierBagTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'PlasticCarrierBagTypeID')) and f:isRequiredEventElem('PlasticCarrierBagTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'PlasticCarrierBagTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4191')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="44" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4208">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4208']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'SingleUsePlasticProductTypeID')) and f:isRequiredEventElem('SingleUsePlasticProductTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'SingleUsePlasticProductTypeID')) and f:isRequiredEventElem('SingleUsePlasticProductTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'SingleUsePlasticProductTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4208')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="43" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4225">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4225']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'SingleUsePlasticPackagingTypeID')) and f:isRequiredEventElem('SingleUsePlasticPackagingTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'SingleUsePlasticPackagingTypeID')) and f:isRequiredEventElem('SingleUsePlasticPackagingTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'SingleUsePlasticPackagingTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4225')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="42" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4242">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4242']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'SingleUsePlasticBottleTypeID')) and f:isRequiredEventElem('SingleUsePlasticBottleTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'SingleUsePlasticBottleTypeID')) and f:isRequiredEventElem('SingleUsePlasticBottleTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'SingleUsePlasticBottleTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4242')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="41" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4259">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4259']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'RecoveryTypeID')) and f:isRequiredEventElem('RecoveryTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'RecoveryTypeID')) and f:isRequiredEventElem('RecoveryTypeID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'RecoveryTypeID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4259')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="40" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4277">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4277']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'RecoveryPartyID')) and f:isRequiredEventElem('RecoveryPartyID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'RecoveryPartyID')) and f:isRequiredEventElem('RecoveryPartyID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'RecoveryPartyID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4277')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" priority="39" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4294">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4294']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R529 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(f:flexiContainsEventElem(.,'RecoverySiteID')) and f:isRequiredEventElem('RecoverySiteID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R529_chkcon">
							<xsl:attribute name="test">not(f:flexiContainsEventElem(.,'RecoverySiteID')) and f:isRequiredEventElem('RecoverySiteID',substring(current()/../pkm:ContentTypeID, string-length(current()/../pkm:ContentTypeID)-6),f:getCatGTIN(.),$l8261)</xsl:attribute>
							<svrl:text>In der Übermittlung von <xsl:value-of select="f:msgRef(current())"/> FEHLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/>
								<xsl:value-of select="concat(' ',f:flexiRequiredEventElemString($leventelem,'RecoverySiteID','val3'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','',$lcat,$l4399))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4294')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq 'CM']/pkm:Event/pkm:MaterialTypeID[(. eq '9008390101421')] | pkm:ReportUserMessage/pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq 'CM']/pkm:Event/pkm:ExtendedMaterialTypeID[(. eq '9008390101421') or (. eq '9008390101810')]" priority="38" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4311">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4311']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R575 for context "pkm:ReportUserMessage/pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq 'CM']/pkm:Event/pkm:MaterialTypeID[(. eq '9008390101421')] | pkm:ReportUserMessage/pkm:MessagePart[substring(pkm:ContentTypeID, 28, 2) eq 'CM']/pkm:Event/pkm:ExtendedMaterialTypeID[(. eq '9008390101421') or (. eq '9008390101810')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(xs:string(../../../pkm:ReportPeriodStartDate) eq '2022-01-01')">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R575_chkcon">
							<xsl:attribute name="test">xs:string(../../../pkm:ReportPeriodStartDate) eq '2022-01-01'</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/>
								<xsl:value-of select="if (exists(../pkm:MaterialTypeID)) then (concat(' den ',f:describeEventElemMaterialTypeID(..,'','',true(),$lcat))) else (f:resolveGTINString($lcat,.,if ((. eq '9008390101810') or (. eq '9008390101483')) then (' die Kategorie ') else (' den Packstoff ')))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.MaterialTypeID.ExtendedMaterialTypeID.',$lcat,$l4399))"/>. Das Datenformat unterstützt die Packstoffe bzw. Verbundverpackungsarten »Glas« (GTIN 9008390101421) und »Getränkeverbundkartons« (GTIN 9008390101810) bei Angaben zu gewerblichen Verpackungen jedoch nur in Übermittlungen für das Berichtsjahr 2022.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4311')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="37" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4328">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4328']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R633 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="((count(../preceding-sibling::pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID ne current()/@registerID)])+count(../../preceding-sibling::pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID ne current()/@registerID)])) ge 1) and ((count(../preceding-sibling::pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]) + count(../../preceding-sibling::pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)])) eq 0)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R633_chkcon">
							<xsl:attribute name="test">((count(../preceding-sibling::pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID ne current()/@registerID)])+count(../../preceding-sibling::pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID ne current()/@registerID)])) ge 1) and ((count(../preceding-sibling::pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)]) + count(../../preceding-sibling::pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[(. eq current()/text()) and (@registerID eq current()/@registerID)])) eq 0)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. Die Übermittlung enthält dieselbe Verwerter-GLN jedoch auch mit anderem registerID-Attribut.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4328')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']" priority="36" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4345">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4345']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R636 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(../pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) gt xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R636_chkcon">
							<xsl:attribute name="test">exists(../pkm:EDIInteractionUTCTimestamp) and (f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H')) gt xs:date(format-date(xs:date(pkm:ReportPeriodEndDate)+xs:yearMonthDuration('P1Y'),'[Y]-06-30')))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> soll spätestens bis zum 10. April <xsl:value-of select="year-from-date(xs:date(pkm:ReportPeriodEndDate))+1"/> erfolgen. Verletzt für die Übermittlung zum Datum <xsl:value-of select="f:UTCtimestampToDate(../pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT2H'))"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4345')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event" priority="35" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4360">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4360']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R671 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/pkm:SingleUsePlasticProductTypeID]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R671_chkcon">
							<xsl:attribute name="test">(count(current()/../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/pkm:SingleUsePlasticProductTypeID]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',true(),$lcat)"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','.SingleUsePlasticProductTypeID.',$lcat,$l4399))"/>. In der Übermittlung FEHLEN Angaben zur MASSE in Verkehr gesetzter <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',false(),$lcat)"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4360')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID" priority="34" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4380">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4380']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R683 for context "pkm:ListedData/pkm:Party/pkm:RegisteredOfficeAddressCountryID | pkm:ListedData/pkm:Site/pkm:AddressCountryID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R683_chkref">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:CountryList/pkm:ListElement[pkm:CountryID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält <xsl:value-of select="if (local-name(..) eq 'Site') then (concat('in den Adressangaben zum Verwertungsstandort »',../pkm:Name,'«')) else (concat('in den Sitzadress-Angaben zum Verwerter »',../pkm:Name,'«'))"/> den Wert »<xsl:value-of select="current()/text()"/>« als Identifikation eines Landes (Nationalstaats). In der <xsl:value-of select="f:valNodeName(current())"/> Codeliste 3862, welche die ISO 3166-1 Liste von Ländern abbildet, gibt es zu dieser Identifikationszeichenkette KEINEN Eintrag. Das Webservice unterstützt in Datenübermittlungen nur solche Landes-Identifikationen, die in der EDM Codeliste 3862 eingetragen und auffindbar sind.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4380')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodEndDate" priority="33" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4397">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4397']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R684 for context "pkm:ReportUserMessage/pkm:ReportPeriodEndDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H'))) and not(xs:date(../pkm:ReportPeriodStartDate) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R684_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H'))) and not(xs:date(../pkm:ReportPeriodStartDate) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> erfolgt zum Datum »<xsl:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. das Berichtszeitraum-Enddatum liegt in der Zukunft.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4397')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="32" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4412">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4412']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R685 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R685_chkref">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN passenden Eintrag eines Unternehmens <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4412')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[(substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and exists(pkm:MessagePart[contains(pkm:ContentTypeID,'.tHH')]) and (not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:HouseholdTariffCategoryID)))]" priority="31" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4434">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4434']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R690 for context "pkm:ReportUserMessage[(substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and exists(pkm:MessagePart[contains(pkm:ContentTypeID,'.tHH')]) and (not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:HouseholdTariffCategoryID)))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R690_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Angaben zu <xsl:value-of select="if ('.tHH' eq '.tHH') then ('Haushaltsverpackungen') else ('gewerblichen Verpackungen')"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten ist zum übermittelnden Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> eine Genehmigung eingetragen, die für den Berichtszeitraum KEINE genehmigten <xsl:value-of select="if ('.tHH' eq '.tHH') then ('Sammelkategorien für Haushaltsverpackungen') else ('Sammelkategorien für gewerbliche Verpackungen')"/> enthält. Die Übermittlung an die Behörde darf deshalb KEINE Angaben zu <xsl:value-of select="if ('.tHH' eq '.tHH') then ('Haushaltsverpackungen') else ('gewerblichen Verpackungen')"/> enthalten, auch nicht Leer-Übermittlungen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4434')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[(substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and exists(pkm:MessagePart[contains(pkm:ContentTypeID,'.tCM')]) and (not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:CommercialTariffCategoryID)))]" priority="30" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4456">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4456']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R690 for context "pkm:ReportUserMessage[(substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and exists(pkm:MessagePart[contains(pkm:ContentTypeID,'.tCM')]) and (not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:CommercialTariffCategoryID)))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R690_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Angaben zu <xsl:value-of select="if ('.tCM' eq '.tHH') then ('Haushaltsverpackungen') else ('gewerblichen Verpackungen')"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten ist zum übermittelnden Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> eine Genehmigung eingetragen, die für den Berichtszeitraum KEINE genehmigten <xsl:value-of select="if ('.tCM' eq '.tHH') then ('Sammelkategorien für Haushaltsverpackungen') else ('Sammelkategorien für gewerbliche Verpackungen')"/> enthält. Die Übermittlung an die Behörde darf deshalb KEINE Angaben zu <xsl:value-of select="if ('.tCM' eq '.tHH') then ('Haushaltsverpackungen') else ('gewerblichen Verpackungen')"/> enthalten, auch nicht Leer-Übermittlungen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4456')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="29" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="val_node_ind_data_party_node" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
		<schxslt:rule pattern="d20e4478">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4478']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R699 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator) and (xs:boolean($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator[1]) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R699_chkcon">
							<xsl:attribute name="test">exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator) and (xs:boolean($val_node_ind_data_party_node[1]/pkm:RecoveryPartyIndicator[1]) eq false())</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Unternehmens <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Allerdings handelt es sich laut den <xsl:value-of select="f:valNodeName(current())"/> Daten um ein Unternehmen, das NICHT als Abfallverwerter tätig ist.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4478')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodEndDate" priority="28" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4505">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4505']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R704 for context "pkm:ReportUserMessage/pkm:ReportPeriodEndDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-12-31'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R704_chkcon">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'YEAR') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-12-31'))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Jahres-Übermittlungen unterstützt das Datenformat nur den 31. Dezember eines Jahres, z.B. »<xsl:value-of select="format-date(xs:date(current()), '[Y]-12-31')"/>«, als Berichtszeitraum-Enddatum.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4505')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]" priority="27" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4520">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4520']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R706 for context "pkm:ReportUserMessage[pkm:MessageTypeID eq 'RPT_OTH.YEAR']/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R706_chkref">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die Angabe des Verwerters mit der ID »<xsl:value-of select="current()/text()"/>« und der ID-Art »<xsl:value-of select="current()/@registerID"/>«<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. Die <xsl:value-of select="f:valNodeName(current())"/> Codeliste 7836 definiert alle Arten von Beteiligten-IDs, welche das eVerpackung 3.0 Webservice in Datenübermittlungen "interoperabel", d.h. mit ausschließlicher Angabe der Beteiligten-ID OHNE Name und Adresse unterstützt. Die Codeliste 7836 enthält KEINEN Eintrag zur Beteiligten-ID-Art »<xsl:value-of select="current()/@registerID"/>«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4520')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessageCreationUTCTimestamp" priority="26" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4542">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4542']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R737 for context "pkm:ReportUserMessage/pkm:MessageCreationUTCTimestamp" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R737_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:dateTime(current()) gt (xs:dateTime(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp)+xs:dayTimeDuration('PT5M')))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält den Message-Erstellungszeitpunkt »<xsl:value-of select="."/>« und erfolgt zum Zeitpunkt »<xsl:value-of select="/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp"/>«, d.h. der Message-Erstellungszeitpunkt liegt in der Zukunft. Das Webservice unterstützt die Übermittlung von Messages mit in der Zukunft liegendem Erstellungsdatum NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4542')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ListedData[not(exists(*))]" priority="25" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4557">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4557']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R752 for context "pkm:ReportUserMessage/pkm:ListedData[not(exists(*))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R752_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT ein Gruppierungselement für Angaben von Namen und Adressen von Verwertern und/oder Verwertungsstandorten, »ListedData«, welches LEER ist, d.h. keine XML-Unterelemente enthält. Das Datenformat unterstützt das Gruppierungselement »ListedData« nur bei Vorhandensein von einem oder mehreren XML-Unterelementen, d.h. nur bei Vorhandensein von zumindest einer Namens- und Adress-Angabe zu einem Verwerter und/oder einem Verwertungsstandort.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4557')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessageCreationPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]" priority="24" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4568">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4568']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R755 for context "pkm:ReportUserMessage/pkm:MessageCreationPartyID[exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeReferenceData/pkm:InteroperationPartyRegisterList/pkm:ListElement[pkm:RegisterID eq current()/@registerID]))]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R755_chkref">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält die Angabe des Übermittlungs-Erstellers mit der ID »<xsl:value-of select="current()/text()"/>« und der ID-Art »<xsl:value-of select="current()/@registerID"/>«. Die <xsl:value-of select="f:valNodeName(current())"/> Codeliste 7836 definiert alle Arten von Beteiligten-IDs, welche das eVerpackung 3.0 Webservice in Datenübermittlungen "interoperabel", d.h. mit ausschließlicher Angabe der Beteiligten-ID OHNE Name und Adresse unterstützt. Die Codeliste 7836 enthält KEINEN Eintrag zur Beteiligten-ID-Art »<xsl:value-of select="current()/@registerID"/>«.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4568')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[contains(pkm:ContentTypeID,'.rRE')]/pkm:Event/*[((local-name() eq 'HouseholdTariffCategoryID') or (local-name() eq 'CommercialTariffCategoryID') or (local-name() eq 'ExtendedMaterialTypeID')) and (text() eq '9008390101810')]" priority="23" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4587">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4587']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R766 for context "pkm:ReportUserMessage/pkm:MessagePart[contains(pkm:ContentTypeID,'.rRE')]/pkm:Event/*[((local-name() eq 'HouseholdTariffCategoryID') or (local-name() eq 'CommercialTariffCategoryID') or (local-name() eq 'ExtendedMaterialTypeID')) and (text() eq '9008390101810')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R766_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> Angaben zur Kategorie <xsl:value-of select="f:resolveGTINString($lcat,.,'')"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.ExtendedMaterialTypeID.HouseholdTariffCategoryID.CommercialTariffCategoryID.',$lcat,$l4399))"/>. Das Datenformat unterstützt die Kategorie <xsl:value-of select="f:resolveGTINString($lcat,.,'')"/> bei Angaben zu wiederverwendbaren Verpackungen NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4587')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID" priority="22" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4607">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4607']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R770 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="../../pkm:MessageTypeID ne substring(current(), 1, 12)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R770_chkref">
							<xsl:attribute name="test">../../pkm:MessageTypeID ne substring(current(), 1, 12)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,.)"/>. Das Datenformat unterstützt Inhalte dieser Art jedoch nur in <xsl:value-of select="f:resolveMessageTypeID($l8686,substring(current(),1,12))"/>-Übermittlungen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4607')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodEndDate" priority="21" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4622">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4622']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R794 for context "pkm:ReportUserMessage/pkm:ReportPeriodEndDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current())-xs:dayTimeDuration(concat('P', day-from-date(current())-1, 'D'))+xs:yearMonthDuration('P1M')-xs:dayTimeDuration('P1D'), '[Y]-[M,2]-[D,2]'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R794_chkcon">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current())-xs:dayTimeDuration(concat('P', day-from-date(current())-1, 'D'))+xs:yearMonthDuration('P1M')-xs:dayTimeDuration('P1D'), '[Y]-[M,2]-[D,2]'))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Enddatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Monats-Übermittlungen unterstützt das Datenformat nur den letzten Tag eines Monats, z.B. »<xsl:value-of select="format-date(xs:date(current())-xs:dayTimeDuration(concat('P', day-from-date(current())-1, 'D'))+xs:yearMonthDuration('P1M')-xs:dayTimeDuration('P1D'), '[Y]-[M,2]-[D,2]')"/>«, als Berichtszeitraum-Enddatum.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4622')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[pkm:MessageTypeID ne 'RPT_OTH.YEAR']/pkm:ListedData" priority="20" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4637">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4637']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R806 for context "pkm:ReportUserMessage[pkm:MessageTypeID ne 'RPT_OTH.YEAR']/pkm:ListedData" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R806_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT Namen und Adressen zu Verwertern und/oder Verwertungsstandorten. Das Datenformat unterstützt Namen und Adressen zu Verwertern und/oder Verwertungsstandorten ausschließlich in »<xsl:value-of select="$l8686/sch:data/sch:row[sch:val0 eq 'RPT_OTH.YEAR']/sch:val1"/>«-Übermittlungen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4637')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodStartDate" priority="19" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4650">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4650']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R811 for context "pkm:ReportUserMessage/pkm:ReportPeriodStartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-[M,2]-01'))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R811_chkcon">
							<xsl:attribute name="test">(substring(current()/../pkm:MessageTypeID, 9) eq 'MNTH') and (format-date(xs:date(current()), '[Y]-[M,2]-[D,2]') ne format-date(xs:date(current()), '[Y]-[M,2]-01'))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«. Für Monats-Übermittlungen unterstützt das Datenformat nur den ersten Tag eines Monats, z.B. »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-01')"/>«, als Berichtszeitraum-Beginndatum.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4650')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID" priority="18" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4665">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4665']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R815 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R815_chkref">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration) and not(exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Site[pkm:SiteEDMGLNID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwertungsstandorts <xsl:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoverySiteID.',$lcat,$l4399))"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN passenden Eintrag eines Standorts <xsl:value-of select="f:describeEventRecoverySiteID(..,'','',false())"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4665')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID" priority="17" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4687">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4687']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R830 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:ContentTypeID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:HouseholdActivityIndicator) and (substring(., 28, 2) eq 'HH') and (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:HouseholdActivityIndicator) eq false()) and not(exists(../preceding-sibling::pkm:MessagePart[(substring(pkm:ContentTypeID, 28, 2) eq 'HH')]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R830_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:HouseholdActivityIndicator) and (substring(., 28, 2) eq 'HH') and (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:HouseholdActivityIndicator) eq false()) and not(exists(../preceding-sibling::pkm:MessagePart[(substring(pkm:ContentTypeID, 28, 2) eq 'HH')]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,.)"/>, und somit Angaben zu Haushaltsverpackungen. Die Übermittlung weist das Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Übermittlungs-Ersteller aus. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es KEINEN Eintrag einer Unternehmenstätigkeit »Sammel- und Verwertungssystem für Haushaltsverpackungen« für dieses Unternehmen. Bei Übermittlungen an die Behörde sind Angaben zu Haushaltsverpackungen nur dann zulässig, wenn <xsl:value-of select="f:valNodeName(current())"/> eine solche Unternehmenstätigkeits-Eintragung enthält.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4687')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message)]" priority="16" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4707">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4707']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R845 for context "pkm:ReportUserMessage[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message/pkm:MessagePart[every $m in current()/pkm:MessagePart/pkm:ContentTypeID satisfies ($m ne pkm:ContentTypeID)]) ge 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R845_chkcon">
							<xsl:attribute name="test">count(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message/pkm:MessagePart[every $m in current()/pkm:MessagePart/pkm:ContentTypeID satisfies ($m ne pkm:ContentTypeID)]) ge 1</xsl:attribute>
							<svrl:text>Zur Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält <xsl:value-of select="f:valNodeName(current())"/> bereits Daten. <xsl:value-of select="f:valNodeName(current())"/> versucht deshalb, die bereits vorhandenen Daten mit der neuen Übermittlung zu aktualisieren. Die bereits vor der Übermittlung vorhandenen Daten ENTHALTEN einen oder mehrere Inhaltstypen, die in der Neu-Übermittlung NICHT enthalten sind, z.B. <xsl:value-of select="f:contentTypeString($l3974,(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Message/pkm:MessagePart[every $m in current()/pkm:MessagePart/pkm:ContentTypeID satisfies ($m ne pkm:ContentTypeID)])[1]/pkm:ContentTypeID)"/>. Das Webservice unterstützt das Löschen von in <xsl:value-of select="f:valNodeName(current())"/> bereits existierenden Fachobjekten NICHT, weswegen es erforderlich ist, dass Aktualisierungen (zumindest) alle auf Seite der Behörde bereits vorhandenen Inhaltstypen (erneut) enthalten.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4707')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="*[exists(@xsi:type)]" priority="15" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4726">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4726']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R855 for context "*[exists(@xsi:type)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R855_prvalw">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT das XML-Attribut »xsi:type« (»type«-Attribut aus dem Namensraum »http://www.w3.org/2001/XMLSchema-instance«). Das Datenformat unterstützt »xsi:type« XML-Attribut-Angaben NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4726')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']/pkm:Event[(pkm:SingleUsePlasticProductTypeID eq '9008390124949') or (pkm:SingleUsePlasticProductTypeID eq '9008390124956')]" priority="14" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4737">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4737']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R861 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.cSTRCT06']/pkm:Event[(pkm:SingleUsePlasticProductTypeID eq '9008390124949') or (pkm:SingleUsePlasticProductTypeID eq '9008390124956')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="(count(current()/../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/pkm:SingleUsePlasticProductTypeID]) lt 1)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R861_chkcon">
							<xsl:attribute name="test">(count(current()/../../pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/pkm:SingleUsePlasticProductTypeID]) lt 1)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../pkm:ContentTypeID)"/> Angaben zur <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',true(),$lcat)"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(.,'','.SingleUsePlasticProductTypeID.',$lcat,$l4399))"/>. In der Übermittlung FEHLEN Angaben zur ANZAHL in Verkehr gesetzter vollständig aus Kunststoff bestehender <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(.,'','',false(),$lcat)"/>.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4737')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID" priority="13" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4756">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4756']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R863 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoverySiteLocalReferenceID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq current()/text()]))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R863_chkref">
							<xsl:attribute name="test">not(exists(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ListedData/pkm:Site[pkm:LocalAssignmentID eq current()/text()]))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> als Übermittlungs-internen Bezug auf Name und Adresse des Verwertungsstandorts den Wert »<xsl:value-of select="current()/text()"/>«<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoverySiteLocalReferenceID.',$lcat,$l4399))"/>. Der Wert »<xsl:value-of select="current()/text()"/>« verweist innerhalb der übermittelten Daten NICHT auf Name und Adresse eines Standorts.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4756')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:ReportPeriodStartDate" priority="12" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4775">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4775']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R879 for context "pkm:ReportUserMessage/pkm:ReportPeriodStartDate" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R879_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp) and (xs:date(current()) gt f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')))</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> erfolgt zum Datum »<xsl:value-of select="format-date(f:UTCtimestampToDate(/pkm:MessageValidationContext/pkm:EDIInteractionUTCTimestamp,xs:dayTimeDuration('PT1H')), '[Y]-[M,2]-[D,2]')"/>« und enthält das Berichtszeitraum-Beginndatum »<xsl:value-of select="format-date(xs:date(current()), '[Y]-[M,2]-[D,2]')"/>«, d.h. das Berichtszeitraum-Beginndatum liegt in der Zukunft. Das Webservice unterstützt nur solche Übermittlungen, bei welchen das Berichtszeitraum-Beginndatum NICHT in der Zukunft liegt.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4775')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tHH')]" priority="11" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="missing_category_id" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:HouseholdTariffCategoryID[(every $m in current()/pkm:Event/pkm:HouseholdTariffCategoryID satisfies ($m ne .))]"/>
		<schxslt:rule pattern="d20e4790">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4790']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R883 for context "pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tHH')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count($missing_category_id) ge 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R883_chkcon">
							<xsl:attribute name="test">count($missing_category_id) ge 1</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>, bei welchen Angaben zu <xsl:value-of select="if (count($missing_category_id) eq 1) then ('1 Tarifkategorie FEHLEN, namentlich') else (concat(count($missing_category_id),' Tarifkategorien FEHLEN, z.B.'))"/> zur <xsl:value-of select="f:resolveGTINString($lcat,($missing_category_id)[1],'Tarifkategorie ')"/>. Bei <xsl:value-of select="if (count($missing_category_id) eq 1) then ('dieser 1 fehlenden Tarifkategorie') else (concat('diesen ',count($missing_category_id),' fehlenden Tarifkategorien'))"/> handelt es sich um <xsl:value-of select="if (count($missing_category_id) eq 1) then ('eine Tarifkategorie, die zu einer Sammelkategorie gehört,') else ('Tarifkategorien, die zu Sammelkategorien gehören,')"/> die in <xsl:value-of select="f:valNodeName(current())"/> zum übermittelnden Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als <xsl:value-of select="if (count($missing_category_id) eq 1) then ('GENEHMIGTE Sammelkategorie eingetragen ist.') else ('GENEHMIGTE Sammelkategorie eingetragen sind.')"/> Bei Übermittlungen an die Behörde, welche für die Berechnung von Marktanteilen relevant sind, müssen Inverkehrsetzungs-Informationen für JEDE der Tarifkategorien Angaben enthalten, die zu in <xsl:value-of select="f:valNodeName(current())"/> eingetragenen GENEHMIGTEN Sammelkategorien gehören.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4790')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tCM')]" priority="10" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="missing_category_id" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit/pkm:CommercialTariffCategoryID[(every $m in current()/pkm:Event/pkm:CommercialTariffCategoryID satisfies ($m ne .))]"/>
		<schxslt:rule pattern="d20e4823">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4823']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R883 for context "pkm:ReportUserMessage/pkm:MessagePart[exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Permit) and (substring(pkm:ContentTypeID,1,7) eq 'PLC_MKT') and contains(pkm:ContentTypeID,'.aPLC_MKT') and contains(pkm:ContentTypeID,'.tCM')]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="count($missing_category_id) ge 1">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R883_chkcon">
							<xsl:attribute name="test">count($missing_category_id) ge 1</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/>, bei welchen Angaben zu <xsl:value-of select="if (count($missing_category_id) eq 1) then ('1 Tarifkategorie FEHLEN, namentlich') else (concat(count($missing_category_id),' Tarifkategorien FEHLEN, z.B.'))"/> zur <xsl:value-of select="f:resolveGTINString($lcat,($missing_category_id)[1],'Tarifkategorie ')"/>. Bei <xsl:value-of select="if (count($missing_category_id) eq 1) then ('dieser 1 fehlenden Tarifkategorie') else (concat('diesen ',count($missing_category_id),' fehlenden Tarifkategorien'))"/> handelt es sich um <xsl:value-of select="if (count($missing_category_id) eq 1) then ('eine Tarifkategorie, die zu einer Sammelkategorie gehört,') else ('Tarifkategorien, die zu Sammelkategorien gehören,')"/> die in <xsl:value-of select="f:valNodeName(current())"/> zum übermittelnden Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als <xsl:value-of select="if (count($missing_category_id) eq 1) then ('GENEHMIGTE Sammelkategorie eingetragen ist.') else ('GENEHMIGTE Sammelkategorie eingetragen sind.')"/> Bei Übermittlungen an die Behörde, welche für die Berechnung von Marktanteilen relevant sind, müssen Inverkehrsetzungs-Informationen für JEDE der Tarifkategorien Angaben enthalten, die zu in <xsl:value-of select="f:valNodeName(current())"/> eingetragenen GENEHMIGTEN Sammelkategorien gehören.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4823')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1)]" priority="9" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="sum_a" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<xsl:variable name="sum_b" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<schxslt:rule pattern="d20e4855">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4855']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R886 for context "pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14']) eq 1)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not($sum_a ge $sum_b)">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R886_chkcon">
							<xsl:attribute name="test">$sum_a ge $sum_b</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aHND_RCV.tHH.cSTRCT16')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_a)"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aRECOVER.tHH.cSTRCT14')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_b)"/>. Die Gesamtmasse der verwerteten Verpackungen ist für den Berichtszeitraum also größer als die Gesamtmasse der zur Verwertung übergebenen Verpackungen.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4855')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 1)]" priority="8" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="sum_a" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<xsl:variable name="sum_b" select="sum(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']/pkm:Event/xs:decimal(pkm:MassValue))"/>
		<schxslt:rule pattern="d20e4878">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4878']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R886 for context "pkm:ReportUserMessage[(count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 1) and (count(pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14']) eq 1)]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="not($sum_a ge $sum_b)">
						<svrl:failed-assert xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="INFO" id="R886_chkcon">
							<xsl:attribute name="test">$sum_a ge $sum_b</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aHND_RCV.tCM.cSTRCT16')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_a)"/>, sowie zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPG.aRECOVER.tCM.cSTRCT14')"/> über alle Packstoffe hinweg die Gesamtmasse <xsl:value-of select="f:formatMassCore($sum_b)"/>. Die Gesamtmasse der verwerteten Verpackungen ist für den Berichtszeitraum also größer als die Gesamtmasse der zur Verwertung übergebenen Verpackungen.</svrl:text>
						</svrl:failed-assert>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4878')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event/pkm:Count" priority="7" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4901">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4901']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R911 for context "pkm:ReportUserMessage/pkm:MessagePart[pkm:ContentTypeID eq 'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pWP.cSTRCT19']/pkm:Event/pkm:Count" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="sum(../../../pkm:MessagePart[contains(pkm:ContentTypeID,'.p')]/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]/xs:decimal(pkm:Count)) eq 0">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R911_chkcon">
							<xsl:attribute name="test">sum(../../../pkm:MessagePart[contains(pkm:ContentTypeID,'.p')]/pkm:Event[pkm:SingleUsePlasticProductTypeID eq current()/../pkm:SingleUsePlasticProductTypeID]/xs:decimal(pkm:Count)) eq 0</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> und den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,'RPT_OTH.YEAR.dPR.aPLC_MKT.tHH.pPP.cSTRCT19')"/> Angaben zur <xsl:value-of select="f:describeEventElemSingleUsePlasticProductTypeID(..,'','',true(),$lcat)"/> mit einer GESAMTANZAHL von 0 über die vollständig aus Kunststoff bestehenden und die teilweise aus Kunststoff bestehenden Produkte hinweg. Das Datenformat unterstützt nur solche Übermittlungen, bei welchen die Gesamtanzahl größer 0 ist oder Angaben zur betreffenden Einwegkunststoffart im betreffenden Teil der Übermittlung ganz entfallen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4901')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage" priority="6" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4918">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4918']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R919 for context "pkm:ReportUserMessage" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:MarketSharePublicationIndicator) and (substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:MarketSharePublicationIndicator) eq true())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R919_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:MarketSharePublicationIndicator) and (substring(pkm:MessageTypeID, 1, 7) eq 'PLC_MKT') and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:MarketSharePublicationIndicator) eq true())</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgBasicRef(current())"/> bezieht sich auf <xsl:value-of select="f:msgPeriodRef(current())"/>. Die Behörde hat <xsl:value-of select="f:valNodeName(current())"/> Daten für <xsl:value-of select="f:msgPeriodRef(current())"/>, z.B. Daten aus früheren Übermittlungen an die Behörde, bereits für die Berechnung und Veröffentlichung von Marktanteilen genutzt. Über das Webservice ist deshalb die Aktualisierung bzw. Korrektur von Daten für diesen Berichtszeitraum NICHT mehr möglich. Anmerkung: Die Verpackungsverordnung 2014 definiert für bestimmte Fälle Möglichkeiten, Korrekturen in die Daten für einen nachfolgenden Berichtszeitraum einzurechnen.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4918')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessageCreationPartyID" priority="5" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4935">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4935']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R931 for context "pkm:ReportUserMessage/pkm:MessageCreationPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) eq false())">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R931_chkcon">
							<xsl:attribute name="test">exists(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) and  (xs:boolean(/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:PartyEDINodeActivationIndicator) eq false())</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> weist das Unternehmen <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> als Ersteller der Übermittlung aus. In der Datenübermittlungs-Interaktion mit dem <xsl:value-of select="f:valNodeName(current())"/> Webservice identifiziert und authentifiziert sich der Datenaustausch-Knoten »<xsl:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>«. <xsl:value-of select="f:valNodeName(current())"/> enthält für den Datenaustausch-Knoten »<xsl:value-of select="/pkm:MessageValidationContext/pkm:InteractingEDINodeID"/>« keine aktive (gültige) Freischaltungs- bzw. Berechtigungs-Eintragung, im Namen von <xsl:value-of select="f:resolvePartyIDString(/pkm:MessageValidationContext,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:MessageCreationPartyID/@registerID)"/> mit dem <xsl:value-of select="f:valNodeName(current())"/> Webservice interagieren zu dürfen. Für Übermittlungen an die Behörde ist die Eintragung einer solchen Freischaltung bzw. Berechtigung in <xsl:value-of select="f:valNodeName(current())"/> jedoch eine Voraussetzung.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4935')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" priority="4" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<xsl:variable name="val_node_ind_data_party_node" select="/pkm:MessageValidationContext/pkm:ValidationNodeIndividualData/pkm:Registration/pkm:Party[(pkm:PartyPublicAdminGLNID eq current()/text()) or (pkm:PartyEDMGLNID eq current()/text())]"/>
		<schxslt:rule pattern="d20e4964">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4964']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R942 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:RecoveryPartyID" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod,'StartDate','EndDate')">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="WARNING" id="R942_chkcon">
							<xsl:attribute name="test">exists($val_node_ind_data_party_node) and exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod) and f:isPeriodCoverage(/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodStartDate,/pkm:MessageValidationContext/pkm:ReportUserMessage/pkm:ReportPeriodEndDate,$val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod,'StartDate','EndDate')</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die Angabe des Verwerters <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit den folgenden Angaben: ',f:describeEvent(..,'','.RecoveryPartyID.',$lcat,$l4399))"/>. In den <xsl:value-of select="f:valNodeName(current())"/> Daten gibt es zwar einen passenden Eintrag eines Unternehmens <xsl:value-of select="f:describeEventRecoveryPartyID(..,'','',false())"/>. Allerdings handelt es sich laut den <xsl:value-of select="f:valNodeName(current())"/> Daten um ein Unternehmen, dessen Tätigkeit im Berichtszeitraum ruhendgestellt ist (<xsl:value-of select="concat('ruhend seit ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:StartDate), '[Y]-[M,2]-[D,2]'),(if (exists($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate)) then (concat(', ruhend bis ',format-date(xs:date($val_node_ind_data_party_node[1]/pkm:TemporaryBusinessSuspensionPeriod/pkm:EndDate), '[Y]-[M,2]-[D,2]'))) else ('')))"/>).</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4964')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]" priority="3" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e4992">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e4992']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R953 for context "pkm:ReportUserMessage/pkm:MessagePart[not(exists(pkm:Event)) and (xs:boolean(pkm:ReportingObligationActivityIndicator) eq true())]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R953_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> enthält in jenem Teil, der sich auf Inhalte der Art <xsl:value-of select="f:contentTypeString($l3974,pkm:ContentTypeID)"/> bezieht, eine LEER-ÜBERMITTLUNG in Kombination mit der Information, dass für Berichtszeitraum und Inhaltstyp zu berichtende Aktivitäten VORLIEGEN (»ReportingObligationActivityIndicator« auf Wert »true«). Leer-Übermittlung bedeutet, dass dieser Teil der Übermittlung KEINE Inhalte enthält, d.h. keine Masse- bzw. Anzahl-Angaben (KEIN Datenelement »Event«). Das Datenformat unterstützt ausschließlich Übermittlungen, bei welchen eine ÜBEREINSTIMMUNG (Konsistenz) zwischen Folgendem besteht: (a) Information, ob zu berichtende Aktivitäten vorliegen bzw. nicht vorliegen, und (b) dem Enthaltensein bzw. Nicht-Enthaltensein von Masse-/Anzahl-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e4992')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart[not(f:isZeroSupportingContentType(pkm:ContentTypeID))]/pkm:Event/pkm:MassValue[xs:decimal(.) eq 0.0]" priority="2" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e5005">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e5005']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R956 for context "pkm:ReportUserMessage/pkm:MessagePart[not(f:isZeroSupportingContentType(pkm:ContentTypeID))]/pkm:Event/pkm:MassValue[xs:decimal(.) eq 0.0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R956_chkcon">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemMassValue(..,'','',true())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.MassValue.',$lcat,$l4399))"/>. Das Datenformat unterstützt für Inhalte dieser Art die Masse 0 NICHT.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e5005')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) lt 0]" priority="1" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e5022">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e5022']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R958 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/pkm:Count[xs:decimal(.) lt 0]" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="true()">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R958_chkval">
							<xsl:attribute name="test">true()</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/> die <xsl:value-of select="f:describeEventElemCount(..,'','',true())"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Zusammenhang mit den folgenden Angaben: ',f:describeEvent(..,'','.Count.',$lcat,$l4399))"/>. Das Datenformat unterstützt nur nicht-negative Anzahl-Angaben.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e5022')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:template match="pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/*" priority="0" mode="d20e2084">
		<xsl:param name="schxslt:patterns-matched" as="xs:string*"/>
		<schxslt:rule pattern="d20e5039">
			<xsl:choose>
				<xsl:when test="$schxslt:patterns-matched[. = 'd20e5039']">
					<xsl:comment xmlns:svrl="http://purl.oclc.org/dsdl/svrl">WARNING: Rule R988 for context "pkm:ReportUserMessage/pkm:MessagePart/pkm:Event/*" shadowed by preceding rule</xsl:comment>
				</xsl:when>
				<xsl:otherwise>
					<xsl:if test="f:isUnsupportedEventElem(local-name(),substring(current()/../../pkm:ContentTypeID, string-length(current()/../../pkm:ContentTypeID)-6),f:getCatGTIN(..),$l8261)">
						<svrl:successful-report xmlns:svrl="http://purl.oclc.org/dsdl/svrl" location="{schxslt:location(.)}" role="ERROR" id="R988_chkcon">
							<xsl:attribute name="test">f:isUnsupportedEventElem(local-name(),substring(current()/../../pkm:ContentTypeID, string-length(current()/../../pkm:ContentTypeID)-6),f:getCatGTIN(..),$l8261)</xsl:attribute>
							<svrl:text>Die Übermittlung von <xsl:value-of select="f:msgRef(current())"/> ENTHÄLT zu den Inhalten der Art <xsl:value-of select="f:contentTypeString($l3974,../../pkm:ContentTypeID)"/>
								<xsl:value-of select="if (f:eventElemNameExt($leventelem,local-name(),'val2') ne '') then (concat(' ',f:eventElemNameExt($leventelem,local-name(),'val2'),' (Datenelement »',local-name(),'«)')) else (concat(' das Datenelement »',local-name(),'«'))"/>
								<xsl:value-of select="f:prefixIfNonEmpty(' in Kombination mit folgenden weiteren Angaben: ',f:describeEvent(..,'',concat('.',local-name(),'.'),$lcat,$l4399))"/>. Das Datenformat unterstützt in diesem Kontext KEINE »<xsl:value-of select="local-name()"/>«-Datenelemente.</svrl:text>
						</svrl:successful-report>
					</xsl:if>
				</xsl:otherwise>
			</xsl:choose>
		</schxslt:rule>
		<xsl:next-match>
			<xsl:with-param name="schxslt:patterns-matched" as="xs:string*" select="($schxslt:patterns-matched, 'd20e5039')"/>
		</xsl:next-match>
	</xsl:template>
	<xsl:function name="schxslt:location" as="xs:string">
		<xsl:param name="node" as="node()"/>
		<xsl:variable name="segments" as="xs:string*">
			<xsl:for-each select="($node/ancestor-or-self::node())">
				<xsl:variable name="position">
					<xsl:number level="single"/>
				</xsl:variable>
				<xsl:choose>
					<xsl:when test=". instance of element()">
						<xsl:value-of select="concat('Q{', namespace-uri(.), '}', local-name(.), '[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of attribute()">
						<xsl:value-of select="concat('@Q{', namespace-uri(.), '}', local-name(.))"/>
					</xsl:when>
					<xsl:when test=". instance of processing-instruction()">
						<xsl:value-of select="concat('processing-instruction(&quot;', name(.), '&quot;)[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of comment()">
						<xsl:value-of select="concat('comment()[', $position, ']')"/>
					</xsl:when>
					<xsl:when test=". instance of text()">
						<xsl:value-of select="concat('text()[', $position, ']')"/>
					</xsl:when>
					<xsl:otherwise/>
				</xsl:choose>
			</xsl:for-each>
		</xsl:variable>
		<xsl:value-of select="concat('/', string-join($segments, '/'))"/>
	</xsl:function>
</xsl:transform>
